#! -*- python -*-

# Copyright (C) 2002-2017 CERN for the benefit of the ATLAS collaboration

include("EvgenProdTools/StdEvgenSetup.py")
theApp.EvtMax = 100

import ParticleGun as PG
pg = PG.ParticleGun()
pg.randomSeed = 123456
pg.samplers.append(PG.ParticleSampler()) # add a second sampler
pg.samplers[0].pid = (-13, 13) # cycle mu+-
pg.samplers[0].mom = PG.PtEtaMPhiSampler(pt=[4000, 100000], eta=[1.0, 3.2]) # flat in pt and +ve eta
pg.samplers[1].pid = (13, -13) # cycle mu-+
pg.samplers[1].mom = PG.PtEtaMPhiSampler(pt=[4000, 100000], eta=[-3.2, -1.0]) # flat in pt and -ve eta
topSeq += pg

include("EvgenProdTools/postJO.CopyWeights.py")
include("EvgenProdTools/postJO.PoolOutput.py")
include("EvgenProdTools/postJO.DumpMC.py")
