/*
  Copyright (C) 2002-2024 CERN for the benefit of the ATLAS collaboration
*/

/**
 *   @class RALHec
 *   @brief Access the HEC parameters from the geometry database.
 */

#ifndef LARGEORAL_RALHEC_H
#define LARGEORAL_RALHEC_H

#include "LArGeoCode/VDetectorParameters.h"

namespace LArGeo {

  class RALHec : public VDetectorParameters {

  public:

    RALHec();
    virtual ~RALHec();

    virtual double GetValue(const std::string&, 
                            const int i0 = INT_MIN,
                            const int i1 = INT_MIN,
                            const int i2 = INT_MIN,
                            const int i3 = INT_MIN,
                            const int i4 = INT_MIN ) const override;

  private:


    class Clockwork;
    Clockwork *m_c;

    RALHec (const RALHec&);
    RALHec& operator= (const RALHec&);
  };

} // namespace LArGeo

#endif
