/*
  Copyright (C) 2002-2022 CERN for the benefit of the ATLAS collaboration
*/

/*
  Header file for the dictionary of persistent classes and converters

 @ author Marcin.Nowak@cern.ch
 @ author edward.moyse@cern.ch
*/

#ifndef MUONRDO_CNVDICT_H
#define MUONRDO_CNVDICT_H

#include "MuonEventAthenaPool/CscRawData_p4.h"
#include "MuonEventAthenaPool/CscRawDataCollection_p4.h"
#include "MuonEventAthenaPool/CscRawDataContainer_p4.h"

#include "MuonEventAthenaPool/CscRawData_p3.h"
#include "MuonEventAthenaPool/CscRawDataCollection_p3.h"
#include "MuonEventAthenaPool/CscRawDataContainer_p3.h"

#include "MuonEventAthenaPool/CscRawData_p2.h"
#include "MuonEventAthenaPool/CscRawDataCollection_p2.h"
#include "MuonEventAthenaPool/CscRawDataContainer_p2.h"

#include "MuonEventAthenaPool/CscRawData_p1.h"
#include "MuonEventAthenaPool/CscRawDataCollection_p1.h"
#include "MuonEventAthenaPool/CscRawDataContainer_p1.h"

#include "MuonEventAthenaPool/TgcRawData_p1.h"
#include "MuonEventAthenaPool/TgcRdo_p1.h"
#include "MuonEventAthenaPool/TgcRdoContainer_p1.h"

#include "MuonEventAthenaPool/TgcRawData_p2.h"
#include "MuonEventAthenaPool/TgcRdo_p2.h"
#include "MuonEventAthenaPool/TgcRdoContainer_p2.h"

#include "MuonEventAthenaPool/TgcRawData_p3.h"
#include "MuonEventAthenaPool/TgcRdo_p3.h"
#include "MuonEventAthenaPool/TgcRdoContainer_p3.h"

#include "MuonEventAthenaPool/TgcRawData_p4.h"
#include "MuonEventAthenaPool/TgcRdo_p4.h"
#include "MuonEventAthenaPool/TgcRdoContainer_p4.h"

#include "MuonEventAthenaPool/TgcL1RawData_p1.h"
#include "MuonEventAthenaPool/TgcL1Rdo_p1.h"
#include "MuonEventAthenaPool/TgcL1RdoContainer_p1.h"

#include "MuonEventAthenaPool/RpcFiredChannel_p1.h"
#include "MuonEventAthenaPool/RpcCoinMatrix_p1.h"
#include "MuonEventAthenaPool/RpcPad_p1.h"
#include "MuonEventAthenaPool/RpcPadContainer_p1.h"
#include "MuonEventAthenaPool/RpcPadContainer_p2.h"

#include "MuonEventAthenaPool/MdtAmtHit_p1.h"
#include "MuonEventAthenaPool/MdtCsm_p1.h"
#include "MuonEventAthenaPool/MdtCsmContainer_p1.h"

#include "MuonEventAthenaPool/RpcSectorLogicContainer_p1.h"

// for ROOT streamer
#include "MuonEventAthenaPool/CscRawData_p0.h"
#include "MuonEventAthenaPool/CscRawDataStreamer_p0.h"

//to stop Checkreq complaining
#include "MuonRIO_OnTrack/MuonClusterOnTrack.h"
#include "MuonSegment/MuonSegment.h"


#endif
