# Copyright (C) 2002-2024 CERN for the benefit of the ATLAS collaboration

from D3PDMakerCoreComps.D3PDObject import D3PDObject
from AthenaConfiguration.ComponentFactory   import CompFactory

D3PD = CompFactory.D3PD


def makeTileTTL1D3PDObject (name, prefix, object_name='TileTTL1D3PDObject', getter = None,
                           sgkey = None,
                           label = None):
    if sgkey is None: sgkey = 'TileTTL1Cnt'
    if label is None: label = prefix

    
    print(" makeTileTTL1D3PDObject: name = ", name)
    print(" makeTileTTL1D3PDObject: prefix = ", prefix)
    print(" makeTileTTL1D3PDObject: object_name = ", object_name)
    print(" makeTileTTL1D3PDObject: sgkey = ", sgkey)

    if not getter:
        getter = D3PD.SGDataVectorGetterTool \
                 (name + '_Getter',
                  TypeName = 'TileTTL1Container',
                  SGKey = sgkey,
                  Label = label)
        

    from D3PDMakerConfig.D3PDMakerFlags import D3PDMakerFlags
    return D3PD.VectorFillerTool (name,
                                  Prefix = prefix,
                                  Getter = getter,
                                  ObjectName = object_name,
                                  SaveMetadata = \
                                  D3PDMakerFlags.SaveObjectMetadata)



TileTTL1D3PDObject=D3PDObject(makeTileTTL1D3PDObject,'TileTTL1_','TileTTL1D3PDObject')
    
TileTTL1D3PDObject.defineBlock (0, 
                                'TileTTL1',
                                D3PD.TileTTL1FillerTool)
