/*
  Copyright (C) 2002-2022 CERN for the benefit of the ATLAS collaboration
*/

#ifndef EGAMMAPHYSVALMONITORING_PHOTONPLOTS_H
#define EGAMMAPHYSVALMONITORING_PHOTONPLOTS_H

#include "TrkValHistUtils/PlotBase.h"
#include "KinematicsPlots.h"
#include "ShowerShapesPlots.h"
#include "IsolationPlots.h"
#include "PhotonConversionPlots.h"

#include "xAODTruth/TruthParticle.h"
#include "xAODEgamma/Photon.h"

namespace Egamma{
  
class PhotonPlots:public PlotBase {
    public:
      PhotonPlots(PlotBase* pParent, const std::string& sDir, const std::string& sParticleType);
      void fill(const xAOD::Photon& photon, const xAOD::EventInfo& eventInfo, bool isPrompt);
      // Reco only information
      Egamma::KinematicsPlots         m_oKinAllPlots;
      Egamma::ShowerShapesPlots       m_oShowerShapesAllPlots;
      Egamma::PhotonConversionPlots   m_oPhotonConversionAllPlots;
      Egamma::KinematicsPlots         m_oKinIsoPlots;
      Egamma::ShowerShapesPlots       m_oShowerShapesIsoPlots;
      Egamma::PhotonConversionPlots   m_oPhotonConversionIsoPlots;
      Egamma::KinematicsPlots         m_oKinIsoUncPlots;
      Egamma::KinematicsPlots         m_oKinIsoConvPlots;
      Egamma::KinematicsPlots         m_oKinIsoLoosePlots;
      Egamma::KinematicsPlots         m_oKinIsoLooseUncPlots;
      Egamma::KinematicsPlots         m_oKinIsoLooseConvPlots;
      Egamma::KinematicsPlots         m_oKinIsoTightPlots;
      Egamma::KinematicsPlots         m_oKinIsoTightUncPlots;
      Egamma::KinematicsPlots         m_oKinIsoTightConvPlots;
      
      std::string m_sParticleType;

      TH1* m_nParticles;
      TH1* m_nParticles_weighted;

    private:
      virtual void initializePlots();
      
      
};

}

#endif
