///////////////////////// -*- C++ -*- /////////////////////////////

/*
  Copyright (C) 2002-2017 CERN for the benefit of the ATLAS collaboration
*/

// Photon_p1.h 
// Header file for class Photon_p1
// Author: K.Cranmer<cranmer@cern.ch>
// Author: S.Binet<binet@cern.ch>
// Date:   December 2006
/////////////////////////////////////////////////////////////////// 
#ifndef EGAMMAEVENTTPCNV_PHOTON_P1_H 
#define EGAMMAEVENTTPCNV_PHOTON_P1_H 

// egammaEventTPCnv includes
#include "egammaEventTPCnv/egamma_p1.h"

// forward declarations
class PhotonCnv_p1;

class Photon_p1 
{
  /////////////////////////////////////////////////////////////////// 
  // Friend classes
  /////////////////////////////////////////////////////////////////// 

  // Make the AthenaPoolCnv class our friend
  friend class PhotonCnv_p1;

  /////////////////////////////////////////////////////////////////// 
  // Public methods: 
  /////////////////////////////////////////////////////////////////// 
public: 

  /** Default constructor: 
   */
  Photon_p1();

  /** Destructor: 
   */
  ~Photon_p1();

  /////////////////////////////////////////////////////////////////// 
  // Private data: 
  /////////////////////////////////////////////////////////////////// 
private: 

  /// the egamma part 
  egamma_p1 m_egamma;
  
}; 

/////////////////////////////////////////////////////////////////// 
// Inline methods: 
/////////////////////////////////////////////////////////////////// 

inline Photon_p1::Photon_p1() :
  m_egamma()
{}

#endif //> EGAMMAEVENTTPCNV_PHOTON_P1_H
