# Copyright (C) 2002-2023 CERN for the benefit of the ATLAS collaboration

def setupProfile(flags, scaleTaskLength=1):

  def _evts(x):
    return int(scaleTaskLength * x)

  return [
    {'run':410000, 'lb':1, 'starttstamp':1625000060, 'evts':_evts(6), 'mu':25.5, 'step': 0},
    {'run':410000, 'lb':2, 'starttstamp':1625000120, 'evts':_evts(6), 'mu':26.5, 'step': 0},
    {'run':410000, 'lb':3, 'starttstamp':1625000180, 'evts':_evts(6), 'mu':27.5, 'step': 0},
    {'run':410000, 'lb':4, 'starttstamp':1625000240, 'evts':_evts(6), 'mu':28.5, 'step': 0},
    {'run':410000, 'lb':5, 'starttstamp':1625000300, 'evts':_evts(6), 'mu':29.5, 'step': 0},
    {'run':410000, 'lb':6, 'starttstamp':1625000360, 'evts':_evts(6), 'mu':30.5, 'step': 0},
    {'run':410000, 'lb':7, 'starttstamp':1625000420, 'evts':_evts(6), 'mu':31.5, 'step': 0},
    {'run':410000, 'lb':8, 'starttstamp':1625000480, 'evts':_evts(6), 'mu':32.5, 'step': 0},
    {'run':410000, 'lb':9, 'starttstamp':1625000540, 'evts':_evts(6), 'mu':33.5, 'step': 0},
    {'run':410000, 'lb':10, 'starttstamp':1625000600, 'evts':_evts(6), 'mu':34.5, 'step': 0},
    {'run':410000, 'lb':11, 'starttstamp':1625000660, 'evts':_evts(6), 'mu':35.5, 'step': 0},
    {'run':410000, 'lb':12, 'starttstamp':1625000720, 'evts':_evts(6), 'mu':36.5, 'step': 0},
    {'run':410000, 'lb':13, 'starttstamp':1625000780, 'evts':_evts(6), 'mu':37.5, 'step': 0},
    {'run':410000, 'lb':14, 'starttstamp':1625000840, 'evts':_evts(6), 'mu':38.5, 'step': 0},
    {'run':410000, 'lb':15, 'starttstamp':1625000900, 'evts':_evts(6), 'mu':39.5, 'step': 0},
    {'run':410000, 'lb':16, 'starttstamp':1625000960, 'evts':_evts(6), 'mu':40.5, 'step': 0},
    {'run':410000, 'lb':17, 'starttstamp':1625001020, 'evts':_evts(6), 'mu':41.5, 'step': 0},
    {'run':410000, 'lb':18, 'starttstamp':1625001080, 'evts':_evts(6), 'mu':42.5, 'step': 0},
    {'run':410000, 'lb':19, 'starttstamp':1625001140, 'evts':_evts(6), 'mu':43.5, 'step': 0},
    {'run':410000, 'lb':20, 'starttstamp':1625001200, 'evts':_evts(6), 'mu':44.5, 'step': 0},
    {'run':410000, 'lb':21, 'starttstamp':1625001260, 'evts':_evts(6), 'mu':45.5, 'step': 0},
    {'run':410000, 'lb':22, 'starttstamp':1625001320, 'evts':_evts(6), 'mu':46.5, 'step': 0},
    {'run':410000, 'lb':23, 'starttstamp':1625001380, 'evts':_evts(6), 'mu':47.5, 'step': 0},
    {'run':410000, 'lb':24, 'starttstamp':1625001440, 'evts':_evts(6), 'mu':48.5, 'step': 0},
    {'run':410000, 'lb':25, 'starttstamp':1625001500, 'evts':_evts(6), 'mu':49.5, 'step': 0},
    {'run':410000, 'lb':26, 'starttstamp':1625001560, 'evts':_evts(5), 'mu':50.5, 'step': 0},
    {'run':410000, 'lb':27, 'starttstamp':1625001620, 'evts':_evts(5), 'mu':51.5, 'step': 0},
    {'run':410000, 'lb':28, 'starttstamp':1625001680, 'evts':_evts(5), 'mu':52.5, 'step': 0},
    {'run':410000, 'lb':29, 'starttstamp':1625001740, 'evts':_evts(5), 'mu':53.5, 'step': 0},
    {'run':410000, 'lb':30, 'starttstamp':1625001800, 'evts':_evts(5), 'mu':54.5, 'step': 0},
    {'run':410000, 'lb':31, 'starttstamp':1625001860, 'evts':_evts(5), 'mu':55.5, 'step': 0},
    {'run':410000, 'lb':32, 'starttstamp':1625001920, 'evts':_evts(5), 'mu':56.5, 'step': 0},
    {'run':410000, 'lb':33, 'starttstamp':1625001980, 'evts':_evts(5), 'mu':57.5, 'step': 0},
    {'run':410000, 'lb':34, 'starttstamp':1625002040, 'evts':_evts(5), 'mu':58.5, 'step': 0},
    {'run':410000, 'lb':35, 'starttstamp':1625002100, 'evts':_evts(5), 'mu':59.5, 'step': 0},
    {'run':410000, 'lb':36, 'starttstamp':1625002160, 'evts':_evts(5), 'mu':60.5, 'step': 0},
    {'run':410000, 'lb':37, 'starttstamp':1625002220, 'evts':_evts(5), 'mu':61.5, 'step': 0},
    {'run':410000, 'lb':38, 'starttstamp':1625002280, 'evts':_evts(5), 'mu':62.5, 'step': 0},
    {'run':410000, 'lb':39, 'starttstamp':1625002340, 'evts':_evts(5), 'mu':63.5, 'step': 0},
    {'run':410000, 'lb':40, 'starttstamp':1625002400, 'evts':_evts(5), 'mu':64.5, 'step': 0},
    {'run':410000, 'lb':41, 'starttstamp':1625002460, 'evts':_evts(5), 'mu':65.5, 'step': 0},
    {'run':410000, 'lb':42, 'starttstamp':1625002520, 'evts':_evts(5), 'mu':66.5, 'step': 0},
    {'run':410000, 'lb':43, 'starttstamp':1625002580, 'evts':_evts(5), 'mu':67.5, 'step': 0},
    {'run':410000, 'lb':44, 'starttstamp':1625002640, 'evts':_evts(5), 'mu':68.5, 'step': 0},
    {'run':410000, 'lb':45, 'starttstamp':1625002700, 'evts':_evts(5), 'mu':69.5, 'step': 0},
    {'run':410000, 'lb':46, 'starttstamp':1625002760, 'evts':_evts(5), 'mu':70.5, 'step': 0},
    {'run':410000, 'lb':47, 'starttstamp':1625002820, 'evts':_evts(5), 'mu':71.5, 'step': 0},
    {'run':410000, 'lb':48, 'starttstamp':1625002880, 'evts':_evts(5), 'mu':72.5, 'step': 0},
    {'run':410000, 'lb':49, 'starttstamp':1625002940, 'evts':_evts(5), 'mu':73.5, 'step': 0},
    {'run':410000, 'lb':50, 'starttstamp':1625003000, 'evts':_evts(5), 'mu':74.5, 'step': 0},
    {'run':410000, 'lb':51, 'starttstamp':1625003060, 'evts':_evts(5), 'mu':75.5, 'step': 0},
    {'run':410000, 'lb':1001, 'starttstamp':1625120060, 'evts':_evts(6), 'mu':25.5, 'step': 1},
    {'run':410000, 'lb':1002, 'starttstamp':1625120120, 'evts':_evts(6), 'mu':26.5, 'step': 1},
    {'run':410000, 'lb':1003, 'starttstamp':1625120180, 'evts':_evts(6), 'mu':27.5, 'step': 1},
    {'run':410000, 'lb':1004, 'starttstamp':1625120240, 'evts':_evts(6), 'mu':28.5, 'step': 1},
    {'run':410000, 'lb':1005, 'starttstamp':1625120300, 'evts':_evts(6), 'mu':29.5, 'step': 1},
    {'run':410000, 'lb':1006, 'starttstamp':1625120360, 'evts':_evts(6), 'mu':30.5, 'step': 1},
    {'run':410000, 'lb':1007, 'starttstamp':1625120420, 'evts':_evts(6), 'mu':31.5, 'step': 1},
    {'run':410000, 'lb':1008, 'starttstamp':1625120480, 'evts':_evts(6), 'mu':32.5, 'step': 1},
    {'run':410000, 'lb':1009, 'starttstamp':1625120540, 'evts':_evts(6), 'mu':33.5, 'step': 1},
    {'run':410000, 'lb':1010, 'starttstamp':1625120600, 'evts':_evts(6), 'mu':34.5, 'step': 1},
    {'run':410000, 'lb':1011, 'starttstamp':1625120660, 'evts':_evts(6), 'mu':35.5, 'step': 1},
    {'run':410000, 'lb':1012, 'starttstamp':1625120720, 'evts':_evts(6), 'mu':36.5, 'step': 1},
    {'run':410000, 'lb':1013, 'starttstamp':1625120780, 'evts':_evts(6), 'mu':37.5, 'step': 1},
    {'run':410000, 'lb':1014, 'starttstamp':1625120840, 'evts':_evts(6), 'mu':38.5, 'step': 1},
    {'run':410000, 'lb':1015, 'starttstamp':1625120900, 'evts':_evts(6), 'mu':39.5, 'step': 1},
    {'run':410000, 'lb':1016, 'starttstamp':1625120960, 'evts':_evts(6), 'mu':40.5, 'step': 1},
    {'run':410000, 'lb':1017, 'starttstamp':1625121020, 'evts':_evts(6), 'mu':41.5, 'step': 1},
    {'run':410000, 'lb':1018, 'starttstamp':1625121080, 'evts':_evts(6), 'mu':42.5, 'step': 1},
    {'run':410000, 'lb':1019, 'starttstamp':1625121140, 'evts':_evts(6), 'mu':43.5, 'step': 1},
    {'run':410000, 'lb':1020, 'starttstamp':1625121200, 'evts':_evts(6), 'mu':44.5, 'step': 1},
    {'run':410000, 'lb':1021, 'starttstamp':1625121260, 'evts':_evts(6), 'mu':45.5, 'step': 1},
    {'run':410000, 'lb':1022, 'starttstamp':1625121320, 'evts':_evts(6), 'mu':46.5, 'step': 1},
    {'run':410000, 'lb':1023, 'starttstamp':1625121380, 'evts':_evts(6), 'mu':47.5, 'step': 1},
    {'run':410000, 'lb':1024, 'starttstamp':1625121440, 'evts':_evts(6), 'mu':48.5, 'step': 1},
    {'run':410000, 'lb':1025, 'starttstamp':1625121500, 'evts':_evts(6), 'mu':49.5, 'step': 1},
    {'run':410000, 'lb':1026, 'starttstamp':1625121560, 'evts':_evts(5), 'mu':50.5, 'step': 1},
    {'run':410000, 'lb':1027, 'starttstamp':1625121620, 'evts':_evts(5), 'mu':51.5, 'step': 1},
    {'run':410000, 'lb':1028, 'starttstamp':1625121680, 'evts':_evts(5), 'mu':52.5, 'step': 1},
    {'run':410000, 'lb':1029, 'starttstamp':1625121740, 'evts':_evts(5), 'mu':53.5, 'step': 1},
    {'run':410000, 'lb':1030, 'starttstamp':1625121800, 'evts':_evts(5), 'mu':54.5, 'step': 1},
    {'run':410000, 'lb':1031, 'starttstamp':1625121860, 'evts':_evts(5), 'mu':55.5, 'step': 1},
    {'run':410000, 'lb':1032, 'starttstamp':1625121920, 'evts':_evts(5), 'mu':56.5, 'step': 1},
    {'run':410000, 'lb':1033, 'starttstamp':1625121980, 'evts':_evts(5), 'mu':57.5, 'step': 1},
    {'run':410000, 'lb':1034, 'starttstamp':1625122040, 'evts':_evts(5), 'mu':58.5, 'step': 1},
    {'run':410000, 'lb':1035, 'starttstamp':1625122100, 'evts':_evts(5), 'mu':59.5, 'step': 1},
    {'run':410000, 'lb':1036, 'starttstamp':1625122160, 'evts':_evts(5), 'mu':60.5, 'step': 1},
    {'run':410000, 'lb':1037, 'starttstamp':1625122220, 'evts':_evts(5), 'mu':61.5, 'step': 1},
    {'run':410000, 'lb':1038, 'starttstamp':1625122280, 'evts':_evts(5), 'mu':62.5, 'step': 1},
    {'run':410000, 'lb':1039, 'starttstamp':1625122340, 'evts':_evts(5), 'mu':63.5, 'step': 1},
    {'run':410000, 'lb':1040, 'starttstamp':1625122400, 'evts':_evts(5), 'mu':64.5, 'step': 1},
    {'run':410000, 'lb':1041, 'starttstamp':1625122460, 'evts':_evts(5), 'mu':65.5, 'step': 1},
    {'run':410000, 'lb':1042, 'starttstamp':1625122520, 'evts':_evts(5), 'mu':66.5, 'step': 1},
    {'run':410000, 'lb':1043, 'starttstamp':1625122580, 'evts':_evts(5), 'mu':67.5, 'step': 1},
    {'run':410000, 'lb':1044, 'starttstamp':1625122640, 'evts':_evts(5), 'mu':68.5, 'step': 1},
    {'run':410000, 'lb':1045, 'starttstamp':1625122700, 'evts':_evts(5), 'mu':69.5, 'step': 1},
    {'run':410000, 'lb':1046, 'starttstamp':1625122760, 'evts':_evts(5), 'mu':70.5, 'step': 1},
    {'run':410000, 'lb':1047, 'starttstamp':1625122820, 'evts':_evts(5), 'mu':71.5, 'step': 1},
    {'run':410000, 'lb':1048, 'starttstamp':1625122880, 'evts':_evts(5), 'mu':72.5, 'step': 1},
    {'run':410000, 'lb':1049, 'starttstamp':1625122940, 'evts':_evts(5), 'mu':73.5, 'step': 1},
    {'run':410000, 'lb':1050, 'starttstamp':1625123000, 'evts':_evts(5), 'mu':74.5, 'step': 1},
    {'run':410000, 'lb':1051, 'starttstamp':1625123060, 'evts':_evts(5), 'mu':75.5, 'step': 1},
    {'run':410000, 'lb':2001, 'starttstamp':1625240060, 'evts':_evts(6), 'mu':25.5, 'step': 2},
    {'run':410000, 'lb':2002, 'starttstamp':1625240120, 'evts':_evts(6), 'mu':26.5, 'step': 2},
    {'run':410000, 'lb':2003, 'starttstamp':1625240180, 'evts':_evts(6), 'mu':27.5, 'step': 2},
    {'run':410000, 'lb':2004, 'starttstamp':1625240240, 'evts':_evts(6), 'mu':28.5, 'step': 2},
    {'run':410000, 'lb':2005, 'starttstamp':1625240300, 'evts':_evts(6), 'mu':29.5, 'step': 2},
    {'run':410000, 'lb':2006, 'starttstamp':1625240360, 'evts':_evts(6), 'mu':30.5, 'step': 2},
    {'run':410000, 'lb':2007, 'starttstamp':1625240420, 'evts':_evts(6), 'mu':31.5, 'step': 2},
    {'run':410000, 'lb':2008, 'starttstamp':1625240480, 'evts':_evts(6), 'mu':32.5, 'step': 2},
    {'run':410000, 'lb':2009, 'starttstamp':1625240540, 'evts':_evts(6), 'mu':33.5, 'step': 2},
    {'run':410000, 'lb':2010, 'starttstamp':1625240600, 'evts':_evts(6), 'mu':34.5, 'step': 2},
    {'run':410000, 'lb':2011, 'starttstamp':1625240660, 'evts':_evts(6), 'mu':35.5, 'step': 2},
    {'run':410000, 'lb':2012, 'starttstamp':1625240720, 'evts':_evts(6), 'mu':36.5, 'step': 2},
    {'run':410000, 'lb':2013, 'starttstamp':1625240780, 'evts':_evts(6), 'mu':37.5, 'step': 2},
    {'run':410000, 'lb':2014, 'starttstamp':1625240840, 'evts':_evts(6), 'mu':38.5, 'step': 2},
    {'run':410000, 'lb':2015, 'starttstamp':1625240900, 'evts':_evts(6), 'mu':39.5, 'step': 2},
    {'run':410000, 'lb':2016, 'starttstamp':1625240960, 'evts':_evts(6), 'mu':40.5, 'step': 2},
    {'run':410000, 'lb':2017, 'starttstamp':1625241020, 'evts':_evts(6), 'mu':41.5, 'step': 2},
    {'run':410000, 'lb':2018, 'starttstamp':1625241080, 'evts':_evts(6), 'mu':42.5, 'step': 2},
    {'run':410000, 'lb':2019, 'starttstamp':1625241140, 'evts':_evts(6), 'mu':43.5, 'step': 2},
    {'run':410000, 'lb':2020, 'starttstamp':1625241200, 'evts':_evts(6), 'mu':44.5, 'step': 2},
    {'run':410000, 'lb':2021, 'starttstamp':1625241260, 'evts':_evts(6), 'mu':45.5, 'step': 2},
    {'run':410000, 'lb':2022, 'starttstamp':1625241320, 'evts':_evts(6), 'mu':46.5, 'step': 2},
    {'run':410000, 'lb':2023, 'starttstamp':1625241380, 'evts':_evts(6), 'mu':47.5, 'step': 2},
    {'run':410000, 'lb':2024, 'starttstamp':1625241440, 'evts':_evts(6), 'mu':48.5, 'step': 2},
    {'run':410000, 'lb':2025, 'starttstamp':1625241500, 'evts':_evts(6), 'mu':49.5, 'step': 2},
    {'run':410000, 'lb':2026, 'starttstamp':1625241560, 'evts':_evts(5), 'mu':50.5, 'step': 2},
    {'run':410000, 'lb':2027, 'starttstamp':1625241620, 'evts':_evts(5), 'mu':51.5, 'step': 2},
    {'run':410000, 'lb':2028, 'starttstamp':1625241680, 'evts':_evts(5), 'mu':52.5, 'step': 2},
    {'run':410000, 'lb':2029, 'starttstamp':1625241740, 'evts':_evts(5), 'mu':53.5, 'step': 2},
    {'run':410000, 'lb':2030, 'starttstamp':1625241800, 'evts':_evts(5), 'mu':54.5, 'step': 2},
    {'run':410000, 'lb':2031, 'starttstamp':1625241860, 'evts':_evts(5), 'mu':55.5, 'step': 2},
    {'run':410000, 'lb':2032, 'starttstamp':1625241920, 'evts':_evts(5), 'mu':56.5, 'step': 2},
    {'run':410000, 'lb':2033, 'starttstamp':1625241980, 'evts':_evts(5), 'mu':57.5, 'step': 2},
    {'run':410000, 'lb':2034, 'starttstamp':1625242040, 'evts':_evts(5), 'mu':58.5, 'step': 2},
    {'run':410000, 'lb':2035, 'starttstamp':1625242100, 'evts':_evts(5), 'mu':59.5, 'step': 2},
    {'run':410000, 'lb':2036, 'starttstamp':1625242160, 'evts':_evts(5), 'mu':60.5, 'step': 2},
    {'run':410000, 'lb':2037, 'starttstamp':1625242220, 'evts':_evts(5), 'mu':61.5, 'step': 2},
    {'run':410000, 'lb':2038, 'starttstamp':1625242280, 'evts':_evts(5), 'mu':62.5, 'step': 2},
    {'run':410000, 'lb':2039, 'starttstamp':1625242340, 'evts':_evts(5), 'mu':63.5, 'step': 2},
    {'run':410000, 'lb':2040, 'starttstamp':1625242400, 'evts':_evts(5), 'mu':64.5, 'step': 2},
    {'run':410000, 'lb':2041, 'starttstamp':1625242460, 'evts':_evts(5), 'mu':65.5, 'step': 2},
    {'run':410000, 'lb':2042, 'starttstamp':1625242520, 'evts':_evts(5), 'mu':66.5, 'step': 2},
    {'run':410000, 'lb':2043, 'starttstamp':1625242580, 'evts':_evts(5), 'mu':67.5, 'step': 2},
    {'run':410000, 'lb':2044, 'starttstamp':1625242640, 'evts':_evts(5), 'mu':68.5, 'step': 2},
    {'run':410000, 'lb':2045, 'starttstamp':1625242700, 'evts':_evts(5), 'mu':69.5, 'step': 2},
    {'run':410000, 'lb':2046, 'starttstamp':1625242760, 'evts':_evts(5), 'mu':70.5, 'step': 2},
    {'run':410000, 'lb':2047, 'starttstamp':1625242820, 'evts':_evts(5), 'mu':71.5, 'step': 2},
    {'run':410000, 'lb':2048, 'starttstamp':1625242880, 'evts':_evts(5), 'mu':72.5, 'step': 2},
    {'run':410000, 'lb':2049, 'starttstamp':1625242940, 'evts':_evts(5), 'mu':73.5, 'step': 2},
    {'run':410000, 'lb':2050, 'starttstamp':1625243000, 'evts':_evts(5), 'mu':74.5, 'step': 2},
    {'run':410000, 'lb':2051, 'starttstamp':1625243060, 'evts':_evts(5), 'mu':75.5, 'step': 2},
    {'run':410000, 'lb':3001, 'starttstamp':1625360060, 'evts':_evts(22), 'mu':25.5, 'step': 3},
    {'run':410000, 'lb':3002, 'starttstamp':1625360120, 'evts':_evts(22), 'mu':26.5, 'step': 3},
    {'run':410000, 'lb':3003, 'starttstamp':1625360180, 'evts':_evts(22), 'mu':27.5, 'step': 3},
    {'run':410000, 'lb':3004, 'starttstamp':1625360240, 'evts':_evts(22), 'mu':28.5, 'step': 3},
    {'run':410000, 'lb':3005, 'starttstamp':1625360300, 'evts':_evts(22), 'mu':29.5, 'step': 3},
    {'run':410000, 'lb':3006, 'starttstamp':1625360360, 'evts':_evts(22), 'mu':30.5, 'step': 3},
    {'run':410000, 'lb':3007, 'starttstamp':1625360420, 'evts':_evts(22), 'mu':31.5, 'step': 3},
    {'run':410000, 'lb':3008, 'starttstamp':1625360480, 'evts':_evts(22), 'mu':32.5, 'step': 3},
    {'run':410000, 'lb':3009, 'starttstamp':1625360540, 'evts':_evts(22), 'mu':33.5, 'step': 3},
    {'run':410000, 'lb':3010, 'starttstamp':1625360600, 'evts':_evts(22), 'mu':34.5, 'step': 3},
    {'run':410000, 'lb':3011, 'starttstamp':1625360660, 'evts':_evts(22), 'mu':35.5, 'step': 3},
    {'run':410000, 'lb':3012, 'starttstamp':1625360720, 'evts':_evts(22), 'mu':36.5, 'step': 3},
    {'run':410000, 'lb':3013, 'starttstamp':1625360780, 'evts':_evts(22), 'mu':37.5, 'step': 3},
    {'run':410000, 'lb':3014, 'starttstamp':1625360840, 'evts':_evts(22), 'mu':38.5, 'step': 3},
    {'run':410000, 'lb':3015, 'starttstamp':1625360900, 'evts':_evts(22), 'mu':39.5, 'step': 3},
    {'run':410000, 'lb':3016, 'starttstamp':1625360960, 'evts':_evts(22), 'mu':40.5, 'step': 3},
    {'run':410000, 'lb':3017, 'starttstamp':1625361020, 'evts':_evts(22), 'mu':41.5, 'step': 3},
    {'run':410000, 'lb':3018, 'starttstamp':1625361080, 'evts':_evts(22), 'mu':42.5, 'step': 3},
    {'run':410000, 'lb':3019, 'starttstamp':1625361140, 'evts':_evts(22), 'mu':43.5, 'step': 3},
    {'run':410000, 'lb':3020, 'starttstamp':1625361200, 'evts':_evts(22), 'mu':44.5, 'step': 3},
    {'run':410000, 'lb':3021, 'starttstamp':1625361260, 'evts':_evts(22), 'mu':45.5, 'step': 3},
    {'run':410000, 'lb':3022, 'starttstamp':1625361320, 'evts':_evts(22), 'mu':46.5, 'step': 3},
    {'run':410000, 'lb':3023, 'starttstamp':1625361380, 'evts':_evts(22), 'mu':47.5, 'step': 3},
    {'run':410000, 'lb':3024, 'starttstamp':1625361440, 'evts':_evts(22), 'mu':48.5, 'step': 3},
    {'run':410000, 'lb':3025, 'starttstamp':1625361500, 'evts':_evts(22), 'mu':49.5, 'step': 3},
    {'run':410000, 'lb':3026, 'starttstamp':1625361560, 'evts':_evts(22), 'mu':50.5, 'step': 3},
    {'run':410000, 'lb':3027, 'starttstamp':1625361620, 'evts':_evts(22), 'mu':51.5, 'step': 3},
    {'run':410000, 'lb':3028, 'starttstamp':1625361680, 'evts':_evts(22), 'mu':52.5, 'step': 3},
    {'run':410000, 'lb':3029, 'starttstamp':1625361740, 'evts':_evts(22), 'mu':53.5, 'step': 3},
    {'run':410000, 'lb':3030, 'starttstamp':1625361800, 'evts':_evts(22), 'mu':54.5, 'step': 3},
    {'run':410000, 'lb':3031, 'starttstamp':1625361860, 'evts':_evts(22), 'mu':55.5, 'step': 3},
    {'run':410000, 'lb':3032, 'starttstamp':1625361920, 'evts':_evts(22), 'mu':56.5, 'step': 3},
    {'run':410000, 'lb':3033, 'starttstamp':1625361980, 'evts':_evts(22), 'mu':57.5, 'step': 3},
    {'run':410000, 'lb':3034, 'starttstamp':1625362040, 'evts':_evts(22), 'mu':58.5, 'step': 3},
    {'run':410000, 'lb':3035, 'starttstamp':1625362100, 'evts':_evts(22), 'mu':59.5, 'step': 3},
    {'run':410000, 'lb':3036, 'starttstamp':1625362160, 'evts':_evts(22), 'mu':60.5, 'step': 3},
    {'run':410000, 'lb':3037, 'starttstamp':1625362220, 'evts':_evts(22), 'mu':61.5, 'step': 3},
    {'run':410000, 'lb':3038, 'starttstamp':1625362280, 'evts':_evts(22), 'mu':62.5, 'step': 3},
    {'run':410000, 'lb':3039, 'starttstamp':1625362340, 'evts':_evts(22), 'mu':63.5, 'step': 3},
    {'run':410000, 'lb':3040, 'starttstamp':1625362400, 'evts':_evts(22), 'mu':64.5, 'step': 3},
    {'run':410000, 'lb':3041, 'starttstamp':1625362460, 'evts':_evts(22), 'mu':65.5, 'step': 3},
    {'run':410000, 'lb':3042, 'starttstamp':1625362520, 'evts':_evts(22), 'mu':66.5, 'step': 3},
    {'run':410000, 'lb':3043, 'starttstamp':1625362580, 'evts':_evts(22), 'mu':67.5, 'step': 3},
    {'run':410000, 'lb':3044, 'starttstamp':1625362640, 'evts':_evts(22), 'mu':68.5, 'step': 3},
    {'run':410000, 'lb':3045, 'starttstamp':1625362700, 'evts':_evts(22), 'mu':69.5, 'step': 3},
    {'run':410000, 'lb':3046, 'starttstamp':1625362760, 'evts':_evts(22), 'mu':70.5, 'step': 3},
    {'run':410000, 'lb':3047, 'starttstamp':1625362820, 'evts':_evts(22), 'mu':71.5, 'step': 3},
    {'run':410000, 'lb':3048, 'starttstamp':1625362880, 'evts':_evts(22), 'mu':72.5, 'step': 3},
    {'run':410000, 'lb':3049, 'starttstamp':1625362940, 'evts':_evts(22), 'mu':73.5, 'step': 3},
    {'run':410000, 'lb':3050, 'starttstamp':1625363000, 'evts':_evts(21), 'mu':74.5, 'step': 3},
    {'run':410000, 'lb':3051, 'starttstamp':1625363060, 'evts':_evts(21), 'mu':75.5, 'step': 3},
  ]
