# Copyright (C) 2002-2022 CERN for the benefit of the ATLAS collaboration

def setupProfile(flags, scaleTaskLength=1):

  def _evts(x):
    return int(scaleTaskLength * x)

  return [
    {'run':410000, 'lb':1, 'starttstamp':1625000060, 'evts':_evts(11), 'mu':50.5, 'step': 0},
    {'run':410000, 'lb':2, 'starttstamp':1625000120, 'evts':_evts(11), 'mu':51.5, 'step': 0},
    {'run':410000, 'lb':3, 'starttstamp':1625000180, 'evts':_evts(11), 'mu':52.5, 'step': 0},
    {'run':410000, 'lb':4, 'starttstamp':1625000240, 'evts':_evts(11), 'mu':53.5, 'step': 0},
    {'run':410000, 'lb':5, 'starttstamp':1625000300, 'evts':_evts(11), 'mu':54.5, 'step': 0},
    {'run':410000, 'lb':6, 'starttstamp':1625000360, 'evts':_evts(11), 'mu':55.5, 'step': 0},
    {'run':410000, 'lb':7, 'starttstamp':1625000420, 'evts':_evts(11), 'mu':56.5, 'step': 0},
    {'run':410000, 'lb':8, 'starttstamp':1625000480, 'evts':_evts(11), 'mu':57.5, 'step': 0},
    {'run':410000, 'lb':9, 'starttstamp':1625000540, 'evts':_evts(11), 'mu':58.5, 'step': 0},
    {'run':410000, 'lb':10, 'starttstamp':1625000600, 'evts':_evts(11), 'mu':59.5, 'step': 0},
    {'run':410000, 'lb':11, 'starttstamp':1625000660, 'evts':_evts(11), 'mu':60.5, 'step': 0},
    {'run':410000, 'lb':12, 'starttstamp':1625000720, 'evts':_evts(11), 'mu':61.5, 'step': 0},
    {'run':410000, 'lb':13, 'starttstamp':1625000780, 'evts':_evts(11), 'mu':62.5, 'step': 0},
    {'run':410000, 'lb':14, 'starttstamp':1625000840, 'evts':_evts(11), 'mu':63.5, 'step': 0},
    {'run':410000, 'lb':15, 'starttstamp':1625000900, 'evts':_evts(11), 'mu':64.5, 'step': 0},
    {'run':410000, 'lb':16, 'starttstamp':1625000960, 'evts':_evts(11), 'mu':65.5, 'step': 0},
    {'run':410000, 'lb':17, 'starttstamp':1625001020, 'evts':_evts(11), 'mu':66.5, 'step': 0},
    {'run':410000, 'lb':18, 'starttstamp':1625001080, 'evts':_evts(11), 'mu':67.5, 'step': 0},
    {'run':410000, 'lb':19, 'starttstamp':1625001140, 'evts':_evts(11), 'mu':68.5, 'step': 0},
    {'run':410000, 'lb':20, 'starttstamp':1625001200, 'evts':_evts(11), 'mu':69.5, 'step': 0},
    {'run':410000, 'lb':21, 'starttstamp':1625001260, 'evts':_evts(10), 'mu':70.5, 'step': 0},
    {'run':410000, 'lb':22, 'starttstamp':1625001320, 'evts':_evts(10), 'mu':71.5, 'step': 0},
    {'run':410000, 'lb':23, 'starttstamp':1625001380, 'evts':_evts(10), 'mu':72.5, 'step': 0},
    {'run':410000, 'lb':24, 'starttstamp':1625001440, 'evts':_evts(10), 'mu':73.5, 'step': 0},
    {'run':410000, 'lb':25, 'starttstamp':1625001500, 'evts':_evts(10), 'mu':74.5, 'step': 0},
    {'run':410000, 'lb':26, 'starttstamp':1625001560, 'evts':_evts(10), 'mu':75.5, 'step': 0},
    {'run':410000, 'lb':1001, 'starttstamp':1625120060, 'evts':_evts(11), 'mu':50.5, 'step': 1},
    {'run':410000, 'lb':1002, 'starttstamp':1625120120, 'evts':_evts(11), 'mu':51.5, 'step': 1},
    {'run':410000, 'lb':1003, 'starttstamp':1625120180, 'evts':_evts(11), 'mu':52.5, 'step': 1},
    {'run':410000, 'lb':1004, 'starttstamp':1625120240, 'evts':_evts(11), 'mu':53.5, 'step': 1},
    {'run':410000, 'lb':1005, 'starttstamp':1625120300, 'evts':_evts(11), 'mu':54.5, 'step': 1},
    {'run':410000, 'lb':1006, 'starttstamp':1625120360, 'evts':_evts(11), 'mu':55.5, 'step': 1},
    {'run':410000, 'lb':1007, 'starttstamp':1625120420, 'evts':_evts(11), 'mu':56.5, 'step': 1},
    {'run':410000, 'lb':1008, 'starttstamp':1625120480, 'evts':_evts(11), 'mu':57.5, 'step': 1},
    {'run':410000, 'lb':1009, 'starttstamp':1625120540, 'evts':_evts(11), 'mu':58.5, 'step': 1},
    {'run':410000, 'lb':1010, 'starttstamp':1625120600, 'evts':_evts(11), 'mu':59.5, 'step': 1},
    {'run':410000, 'lb':1011, 'starttstamp':1625120660, 'evts':_evts(11), 'mu':60.5, 'step': 1},
    {'run':410000, 'lb':1012, 'starttstamp':1625120720, 'evts':_evts(11), 'mu':61.5, 'step': 1},
    {'run':410000, 'lb':1013, 'starttstamp':1625120780, 'evts':_evts(11), 'mu':62.5, 'step': 1},
    {'run':410000, 'lb':1014, 'starttstamp':1625120840, 'evts':_evts(11), 'mu':63.5, 'step': 1},
    {'run':410000, 'lb':1015, 'starttstamp':1625120900, 'evts':_evts(11), 'mu':64.5, 'step': 1},
    {'run':410000, 'lb':1016, 'starttstamp':1625120960, 'evts':_evts(11), 'mu':65.5, 'step': 1},
    {'run':410000, 'lb':1017, 'starttstamp':1625121020, 'evts':_evts(11), 'mu':66.5, 'step': 1},
    {'run':410000, 'lb':1018, 'starttstamp':1625121080, 'evts':_evts(11), 'mu':67.5, 'step': 1},
    {'run':410000, 'lb':1019, 'starttstamp':1625121140, 'evts':_evts(11), 'mu':68.5, 'step': 1},
    {'run':410000, 'lb':1020, 'starttstamp':1625121200, 'evts':_evts(11), 'mu':69.5, 'step': 1},
    {'run':410000, 'lb':1021, 'starttstamp':1625121260, 'evts':_evts(10), 'mu':70.5, 'step': 1},
    {'run':410000, 'lb':1022, 'starttstamp':1625121320, 'evts':_evts(10), 'mu':71.5, 'step': 1},
    {'run':410000, 'lb':1023, 'starttstamp':1625121380, 'evts':_evts(10), 'mu':72.5, 'step': 1},
    {'run':410000, 'lb':1024, 'starttstamp':1625121440, 'evts':_evts(10), 'mu':73.5, 'step': 1},
    {'run':410000, 'lb':1025, 'starttstamp':1625121500, 'evts':_evts(10), 'mu':74.5, 'step': 1},
    {'run':410000, 'lb':1026, 'starttstamp':1625121560, 'evts':_evts(10), 'mu':75.5, 'step': 1},
    {'run':410000, 'lb':2001, 'starttstamp':1625240060, 'evts':_evts(11), 'mu':50.5, 'step': 2},
    {'run':410000, 'lb':2002, 'starttstamp':1625240120, 'evts':_evts(11), 'mu':51.5, 'step': 2},
    {'run':410000, 'lb':2003, 'starttstamp':1625240180, 'evts':_evts(11), 'mu':52.5, 'step': 2},
    {'run':410000, 'lb':2004, 'starttstamp':1625240240, 'evts':_evts(11), 'mu':53.5, 'step': 2},
    {'run':410000, 'lb':2005, 'starttstamp':1625240300, 'evts':_evts(11), 'mu':54.5, 'step': 2},
    {'run':410000, 'lb':2006, 'starttstamp':1625240360, 'evts':_evts(11), 'mu':55.5, 'step': 2},
    {'run':410000, 'lb':2007, 'starttstamp':1625240420, 'evts':_evts(11), 'mu':56.5, 'step': 2},
    {'run':410000, 'lb':2008, 'starttstamp':1625240480, 'evts':_evts(11), 'mu':57.5, 'step': 2},
    {'run':410000, 'lb':2009, 'starttstamp':1625240540, 'evts':_evts(11), 'mu':58.5, 'step': 2},
    {'run':410000, 'lb':2010, 'starttstamp':1625240600, 'evts':_evts(11), 'mu':59.5, 'step': 2},
    {'run':410000, 'lb':2011, 'starttstamp':1625240660, 'evts':_evts(11), 'mu':60.5, 'step': 2},
    {'run':410000, 'lb':2012, 'starttstamp':1625240720, 'evts':_evts(11), 'mu':61.5, 'step': 2},
    {'run':410000, 'lb':2013, 'starttstamp':1625240780, 'evts':_evts(11), 'mu':62.5, 'step': 2},
    {'run':410000, 'lb':2014, 'starttstamp':1625240840, 'evts':_evts(11), 'mu':63.5, 'step': 2},
    {'run':410000, 'lb':2015, 'starttstamp':1625240900, 'evts':_evts(11), 'mu':64.5, 'step': 2},
    {'run':410000, 'lb':2016, 'starttstamp':1625240960, 'evts':_evts(11), 'mu':65.5, 'step': 2},
    {'run':410000, 'lb':2017, 'starttstamp':1625241020, 'evts':_evts(11), 'mu':66.5, 'step': 2},
    {'run':410000, 'lb':2018, 'starttstamp':1625241080, 'evts':_evts(11), 'mu':67.5, 'step': 2},
    {'run':410000, 'lb':2019, 'starttstamp':1625241140, 'evts':_evts(11), 'mu':68.5, 'step': 2},
    {'run':410000, 'lb':2020, 'starttstamp':1625241200, 'evts':_evts(11), 'mu':69.5, 'step': 2},
    {'run':410000, 'lb':2021, 'starttstamp':1625241260, 'evts':_evts(10), 'mu':70.5, 'step': 2},
    {'run':410000, 'lb':2022, 'starttstamp':1625241320, 'evts':_evts(10), 'mu':71.5, 'step': 2},
    {'run':410000, 'lb':2023, 'starttstamp':1625241380, 'evts':_evts(10), 'mu':72.5, 'step': 2},
    {'run':410000, 'lb':2024, 'starttstamp':1625241440, 'evts':_evts(10), 'mu':73.5, 'step': 2},
    {'run':410000, 'lb':2025, 'starttstamp':1625241500, 'evts':_evts(10), 'mu':74.5, 'step': 2},
    {'run':410000, 'lb':2026, 'starttstamp':1625241560, 'evts':_evts(10), 'mu':75.5, 'step': 2},
    {'run':410000, 'lb':3001, 'starttstamp':1625360060, 'evts':_evts(44), 'mu':50.5, 'step': 3},
    {'run':410000, 'lb':3002, 'starttstamp':1625360120, 'evts':_evts(44), 'mu':51.5, 'step': 3},
    {'run':410000, 'lb':3003, 'starttstamp':1625360180, 'evts':_evts(43), 'mu':52.5, 'step': 3},
    {'run':410000, 'lb':3004, 'starttstamp':1625360240, 'evts':_evts(43), 'mu':53.5, 'step': 3},
    {'run':410000, 'lb':3005, 'starttstamp':1625360300, 'evts':_evts(43), 'mu':54.5, 'step': 3},
    {'run':410000, 'lb':3006, 'starttstamp':1625360360, 'evts':_evts(43), 'mu':55.5, 'step': 3},
    {'run':410000, 'lb':3007, 'starttstamp':1625360420, 'evts':_evts(43), 'mu':56.5, 'step': 3},
    {'run':410000, 'lb':3008, 'starttstamp':1625360480, 'evts':_evts(43), 'mu':57.5, 'step': 3},
    {'run':410000, 'lb':3009, 'starttstamp':1625360540, 'evts':_evts(43), 'mu':58.5, 'step': 3},
    {'run':410000, 'lb':3010, 'starttstamp':1625360600, 'evts':_evts(43), 'mu':59.5, 'step': 3},
    {'run':410000, 'lb':3011, 'starttstamp':1625360660, 'evts':_evts(43), 'mu':60.5, 'step': 3},
    {'run':410000, 'lb':3012, 'starttstamp':1625360720, 'evts':_evts(43), 'mu':61.5, 'step': 3},
    {'run':410000, 'lb':3013, 'starttstamp':1625360780, 'evts':_evts(43), 'mu':62.5, 'step': 3},
    {'run':410000, 'lb':3014, 'starttstamp':1625360840, 'evts':_evts(43), 'mu':63.5, 'step': 3},
    {'run':410000, 'lb':3015, 'starttstamp':1625360900, 'evts':_evts(43), 'mu':64.5, 'step': 3},
    {'run':410000, 'lb':3016, 'starttstamp':1625360960, 'evts':_evts(43), 'mu':65.5, 'step': 3},
    {'run':410000, 'lb':3017, 'starttstamp':1625361020, 'evts':_evts(43), 'mu':66.5, 'step': 3},
    {'run':410000, 'lb':3018, 'starttstamp':1625361080, 'evts':_evts(43), 'mu':67.5, 'step': 3},
    {'run':410000, 'lb':3019, 'starttstamp':1625361140, 'evts':_evts(43), 'mu':68.5, 'step': 3},
    {'run':410000, 'lb':3020, 'starttstamp':1625361200, 'evts':_evts(43), 'mu':69.5, 'step': 3},
    {'run':410000, 'lb':3021, 'starttstamp':1625361260, 'evts':_evts(43), 'mu':70.5, 'step': 3},
    {'run':410000, 'lb':3022, 'starttstamp':1625361320, 'evts':_evts(43), 'mu':71.5, 'step': 3},
    {'run':410000, 'lb':3023, 'starttstamp':1625361380, 'evts':_evts(43), 'mu':72.5, 'step': 3},
    {'run':410000, 'lb':3024, 'starttstamp':1625361440, 'evts':_evts(43), 'mu':73.5, 'step': 3},
    {'run':410000, 'lb':3025, 'starttstamp':1625361500, 'evts':_evts(43), 'mu':74.5, 'step': 3},
    {'run':410000, 'lb':3026, 'starttstamp':1625361560, 'evts':_evts(43), 'mu':75.5, 'step': 3},
  ]
