# Copyright (C) 2002-2023 CERN for the benefit of the ATLAS collaboration

def setupProfile(flags, scaleTaskLength=1):

  def _evts(x):
    return int(scaleTaskLength * x)

  return [
    {'run':450000, 'lb':1, 'starttstamp':1680000060, 'evts':_evts(1), 'mu':26.5, 'step':0},
    {'run':450000, 'lb':2, 'starttstamp':1680000120, 'evts':_evts(1), 'mu':27.5, 'step':0},
    {'run':450000, 'lb':3, 'starttstamp':1680000180, 'evts':_evts(1), 'mu':28.5, 'step':0},
    {'run':450000, 'lb':4, 'starttstamp':1680000240, 'evts':_evts(1), 'mu':29.5, 'step':0},
    {'run':450000, 'lb':5, 'starttstamp':1680000300, 'evts':_evts(1), 'mu':39.5, 'step':0},
    {'run':450000, 'lb':6, 'starttstamp':1680000360, 'evts':_evts(1), 'mu':40.5, 'step':0},
    {'run':450000, 'lb':7, 'starttstamp':1680000420, 'evts':_evts(1), 'mu':41.5, 'step':0},
    {'run':450000, 'lb':8, 'starttstamp':1680000480, 'evts':_evts(1), 'mu':42.5, 'step':0},
    {'run':450000, 'lb':9, 'starttstamp':1680000540, 'evts':_evts(1), 'mu':43.5, 'step':0},
    {'run':450000, 'lb':10, 'starttstamp':1680000600, 'evts':_evts(1), 'mu':44.5, 'step':0},
    {'run':450000, 'lb':11, 'starttstamp':1680000660, 'evts':_evts(1), 'mu':45.5, 'step':0},
    {'run':450000, 'lb':12, 'starttstamp':1680000720, 'evts':_evts(2), 'mu':46.5, 'step':0},
    {'run':450000, 'lb':13, 'starttstamp':1680000780, 'evts':_evts(3), 'mu':47.5, 'step':0},
    {'run':450000, 'lb':14, 'starttstamp':1680000840, 'evts':_evts(3), 'mu':48.5, 'step':0},
    {'run':450000, 'lb':15, 'starttstamp':1680000900, 'evts':_evts(3), 'mu':49.5, 'step':0},
    {'run':450000, 'lb':16, 'starttstamp':1680000960, 'evts':_evts(4), 'mu':50.5, 'step':0},
    {'run':450000, 'lb':17, 'starttstamp':1680001020, 'evts':_evts(5), 'mu':51.5, 'step':0},
    {'run':450000, 'lb':18, 'starttstamp':1680001080, 'evts':_evts(7), 'mu':52.5, 'step':0},
    {'run':450000, 'lb':19, 'starttstamp':1680001140, 'evts':_evts(9), 'mu':53.5, 'step':0},
    {'run':450000, 'lb':20, 'starttstamp':1680001200, 'evts':_evts(11), 'mu':54.5, 'step':0},
    {'run':450000, 'lb':21, 'starttstamp':1680001260, 'evts':_evts(15), 'mu':55.5, 'step':0},
    {'run':450000, 'lb':22, 'starttstamp':1680001320, 'evts':_evts(17), 'mu':56.5, 'step':0},
    {'run':450000, 'lb':23, 'starttstamp':1680001380, 'evts':_evts(21), 'mu':57.5, 'step':0},
    {'run':450000, 'lb':24, 'starttstamp':1680001440, 'evts':_evts(24), 'mu':58.5, 'step':0},
    {'run':450000, 'lb':25, 'starttstamp':1680001500, 'evts':_evts(25), 'mu':59.5, 'step':0},
    {'run':450000, 'lb':26, 'starttstamp':1680001560, 'evts':_evts(28), 'mu':60.5, 'step':0},
    {'run':450000, 'lb':27, 'starttstamp':1680001620, 'evts':_evts(28), 'mu':61.5, 'step':0},
    {'run':450000, 'lb':28, 'starttstamp':1680001680, 'evts':_evts(28), 'mu':62.5, 'step':0},
    {'run':450000, 'lb':29, 'starttstamp':1680001740, 'evts':_evts(28), 'mu':63.5, 'step':0},
    {'run':450000, 'lb':30, 'starttstamp':1680001800, 'evts':_evts(25), 'mu':64.5, 'step':0},
    {'run':450000, 'lb':31, 'starttstamp':1680001860, 'evts':_evts(24), 'mu':65.5, 'step':0},
    {'run':450000, 'lb':32, 'starttstamp':1680001920, 'evts':_evts(20), 'mu':66.5, 'step':0},
    {'run':450000, 'lb':33, 'starttstamp':1680001980, 'evts':_evts(17), 'mu':67.5, 'step':0},
    {'run':450000, 'lb':34, 'starttstamp':1680002040, 'evts':_evts(15), 'mu':68.5, 'step':0},
    {'run':450000, 'lb':35, 'starttstamp':1680002100, 'evts':_evts(12), 'mu':69.5, 'step':0},
    {'run':450000, 'lb':36, 'starttstamp':1680002160, 'evts':_evts(9), 'mu':70.5, 'step':0},
    {'run':450000, 'lb':37, 'starttstamp':1680002220, 'evts':_evts(8), 'mu':71.5, 'step':0},
    {'run':450000, 'lb':38, 'starttstamp':1680002280, 'evts':_evts(5), 'mu':72.5, 'step':0},
    {'run':450000, 'lb':39, 'starttstamp':1680002340, 'evts':_evts(4), 'mu':73.5, 'step':0},
    {'run':450000, 'lb':40, 'starttstamp':1680002400, 'evts':_evts(3), 'mu':74.5, 'step':0},
    {'run':450000, 'lb':41, 'starttstamp':1680002460, 'evts':_evts(3), 'mu':75.5, 'step':0},
    {'run':450000, 'lb':42, 'starttstamp':1680002520, 'evts':_evts(3), 'mu':76.5, 'step':0},
    {'run':450000, 'lb':43, 'starttstamp':1680002580, 'evts':_evts(2), 'mu':77.5, 'step':0},
    {'run':450000, 'lb':44, 'starttstamp':1680002640, 'evts':_evts(2), 'mu':78.5, 'step':0},
    {'run':450000, 'lb':45, 'starttstamp':1680002700, 'evts':_evts(2), 'mu':79.5, 'step':0},
    {'run':450000, 'lb':46, 'starttstamp':1680002760, 'evts':_evts(2), 'mu':80.5, 'step':0},
    {'run':450000, 'lb':47, 'starttstamp':1680002820, 'evts':_evts(2), 'mu':81.5, 'step':0},
    {'run':450000, 'lb':48, 'starttstamp':1680002880, 'evts':_evts(2), 'mu':82.5, 'step':0},
    {'run':450000, 'lb':49, 'starttstamp':1680002940, 'evts':_evts(1), 'mu':83.5, 'step':0},
    {'run':450000, 'lb':50, 'starttstamp':1680003000, 'evts':_evts(1), 'mu':84.5, 'step':0},
    {'run':450000, 'lb':51, 'starttstamp':1680003060, 'evts':_evts(1), 'mu':85.5, 'step':0},
    {'run':450000, 'lb':52, 'starttstamp':1680003120, 'evts':_evts(1), 'mu':86.5, 'step':0},
    {'run':450000, 'lb':53, 'starttstamp':1680003180, 'evts':_evts(1), 'mu':87.5, 'step':0},
    {'run':450000, 'lb':54, 'starttstamp':1680003240, 'evts':_evts(1), 'mu':88.5, 'step':0},
    {'run':450000, 'lb':55, 'starttstamp':1680003300, 'evts':_evts(1), 'mu':89.5, 'step':0},
    {'run':450000, 'lb':56, 'starttstamp':1680003360, 'evts':_evts(1), 'mu':90.5, 'step':0},
    {'run':450000, 'lb':1001, 'starttstamp':1680060060, 'evts':_evts(1), 'mu':26.5, 'step':1},
    {'run':450000, 'lb':1002, 'starttstamp':1680060120, 'evts':_evts(1), 'mu':27.5, 'step':1},
    {'run':450000, 'lb':1003, 'starttstamp':1680060180, 'evts':_evts(1), 'mu':28.5, 'step':1},
    {'run':450000, 'lb':1004, 'starttstamp':1680060240, 'evts':_evts(1), 'mu':29.5, 'step':1},
    {'run':450000, 'lb':1005, 'starttstamp':1680060300, 'evts':_evts(1), 'mu':39.5, 'step':1},
    {'run':450000, 'lb':1006, 'starttstamp':1680060360, 'evts':_evts(1), 'mu':40.5, 'step':1},
    {'run':450000, 'lb':1007, 'starttstamp':1680060420, 'evts':_evts(1), 'mu':41.5, 'step':1},
    {'run':450000, 'lb':1008, 'starttstamp':1680060480, 'evts':_evts(1), 'mu':42.5, 'step':1},
    {'run':450000, 'lb':1009, 'starttstamp':1680060540, 'evts':_evts(1), 'mu':43.5, 'step':1},
    {'run':450000, 'lb':1010, 'starttstamp':1680060600, 'evts':_evts(1), 'mu':44.5, 'step':1},
    {'run':450000, 'lb':1011, 'starttstamp':1680060660, 'evts':_evts(1), 'mu':45.5, 'step':1},
    {'run':450000, 'lb':1012, 'starttstamp':1680060720, 'evts':_evts(2), 'mu':46.5, 'step':1},
    {'run':450000, 'lb':1013, 'starttstamp':1680060780, 'evts':_evts(3), 'mu':47.5, 'step':1},
    {'run':450000, 'lb':1014, 'starttstamp':1680060840, 'evts':_evts(3), 'mu':48.5, 'step':1},
    {'run':450000, 'lb':1015, 'starttstamp':1680060900, 'evts':_evts(3), 'mu':49.5, 'step':1},
    {'run':450000, 'lb':1016, 'starttstamp':1680060960, 'evts':_evts(4), 'mu':50.5, 'step':1},
    {'run':450000, 'lb':1017, 'starttstamp':1680061020, 'evts':_evts(5), 'mu':51.5, 'step':1},
    {'run':450000, 'lb':1018, 'starttstamp':1680061080, 'evts':_evts(7), 'mu':52.5, 'step':1},
    {'run':450000, 'lb':1019, 'starttstamp':1680061140, 'evts':_evts(9), 'mu':53.5, 'step':1},
    {'run':450000, 'lb':1020, 'starttstamp':1680061200, 'evts':_evts(11), 'mu':54.5, 'step':1},
    {'run':450000, 'lb':1021, 'starttstamp':1680061260, 'evts':_evts(15), 'mu':55.5, 'step':1},
    {'run':450000, 'lb':1022, 'starttstamp':1680061320, 'evts':_evts(17), 'mu':56.5, 'step':1},
    {'run':450000, 'lb':1023, 'starttstamp':1680061380, 'evts':_evts(21), 'mu':57.5, 'step':1},
    {'run':450000, 'lb':1024, 'starttstamp':1680061440, 'evts':_evts(24), 'mu':58.5, 'step':1},
    {'run':450000, 'lb':1025, 'starttstamp':1680061500, 'evts':_evts(25), 'mu':59.5, 'step':1},
    {'run':450000, 'lb':1026, 'starttstamp':1680061560, 'evts':_evts(28), 'mu':60.5, 'step':1},
    {'run':450000, 'lb':1027, 'starttstamp':1680061620, 'evts':_evts(28), 'mu':61.5, 'step':1},
    {'run':450000, 'lb':1028, 'starttstamp':1680061680, 'evts':_evts(28), 'mu':62.5, 'step':1},
    {'run':450000, 'lb':1029, 'starttstamp':1680061740, 'evts':_evts(28), 'mu':63.5, 'step':1},
    {'run':450000, 'lb':1030, 'starttstamp':1680061800, 'evts':_evts(25), 'mu':64.5, 'step':1},
    {'run':450000, 'lb':1031, 'starttstamp':1680061860, 'evts':_evts(24), 'mu':65.5, 'step':1},
    {'run':450000, 'lb':1032, 'starttstamp':1680061920, 'evts':_evts(20), 'mu':66.5, 'step':1},
    {'run':450000, 'lb':1033, 'starttstamp':1680061980, 'evts':_evts(17), 'mu':67.5, 'step':1},
    {'run':450000, 'lb':1034, 'starttstamp':1680062040, 'evts':_evts(15), 'mu':68.5, 'step':1},
    {'run':450000, 'lb':1035, 'starttstamp':1680062100, 'evts':_evts(12), 'mu':69.5, 'step':1},
    {'run':450000, 'lb':1036, 'starttstamp':1680062160, 'evts':_evts(9), 'mu':70.5, 'step':1},
    {'run':450000, 'lb':1037, 'starttstamp':1680062220, 'evts':_evts(8), 'mu':71.5, 'step':1},
    {'run':450000, 'lb':1038, 'starttstamp':1680062280, 'evts':_evts(5), 'mu':72.5, 'step':1},
    {'run':450000, 'lb':1039, 'starttstamp':1680062340, 'evts':_evts(4), 'mu':73.5, 'step':1},
    {'run':450000, 'lb':1040, 'starttstamp':1680062400, 'evts':_evts(3), 'mu':74.5, 'step':1},
    {'run':450000, 'lb':1041, 'starttstamp':1680062460, 'evts':_evts(3), 'mu':75.5, 'step':1},
    {'run':450000, 'lb':1042, 'starttstamp':1680062520, 'evts':_evts(3), 'mu':76.5, 'step':1},
    {'run':450000, 'lb':1043, 'starttstamp':1680062580, 'evts':_evts(2), 'mu':77.5, 'step':1},
    {'run':450000, 'lb':1044, 'starttstamp':1680062640, 'evts':_evts(2), 'mu':78.5, 'step':1},
    {'run':450000, 'lb':1045, 'starttstamp':1680062700, 'evts':_evts(2), 'mu':79.5, 'step':1},
    {'run':450000, 'lb':1046, 'starttstamp':1680062760, 'evts':_evts(2), 'mu':80.5, 'step':1},
    {'run':450000, 'lb':1047, 'starttstamp':1680062820, 'evts':_evts(2), 'mu':81.5, 'step':1},
    {'run':450000, 'lb':1048, 'starttstamp':1680062880, 'evts':_evts(2), 'mu':82.5, 'step':1},
    {'run':450000, 'lb':1049, 'starttstamp':1680062940, 'evts':_evts(1), 'mu':83.5, 'step':1},
    {'run':450000, 'lb':1050, 'starttstamp':1680063000, 'evts':_evts(1), 'mu':84.5, 'step':1},
    {'run':450000, 'lb':1051, 'starttstamp':1680063060, 'evts':_evts(1), 'mu':85.5, 'step':1},
    {'run':450000, 'lb':1052, 'starttstamp':1680063120, 'evts':_evts(1), 'mu':86.5, 'step':1},
    {'run':450000, 'lb':1053, 'starttstamp':1680063180, 'evts':_evts(1), 'mu':87.5, 'step':1},
    {'run':450000, 'lb':1054, 'starttstamp':1680063240, 'evts':_evts(1), 'mu':88.5, 'step':1},
    {'run':450000, 'lb':1055, 'starttstamp':1680063300, 'evts':_evts(1), 'mu':89.5, 'step':1},
    {'run':450000, 'lb':1056, 'starttstamp':1680063360, 'evts':_evts(1), 'mu':90.5, 'step':1},
    {'run':450000, 'lb':2001, 'starttstamp':1680120060, 'evts':_evts(1), 'mu':26.5, 'step':2},
    {'run':450000, 'lb':2002, 'starttstamp':1680120120, 'evts':_evts(1), 'mu':27.5, 'step':2},
    {'run':450000, 'lb':2003, 'starttstamp':1680120180, 'evts':_evts(1), 'mu':28.5, 'step':2},
    {'run':450000, 'lb':2004, 'starttstamp':1680120240, 'evts':_evts(1), 'mu':29.5, 'step':2},
    {'run':450000, 'lb':2005, 'starttstamp':1680120300, 'evts':_evts(1), 'mu':39.5, 'step':2},
    {'run':450000, 'lb':2006, 'starttstamp':1680120360, 'evts':_evts(1), 'mu':40.5, 'step':2},
    {'run':450000, 'lb':2007, 'starttstamp':1680120420, 'evts':_evts(1), 'mu':41.5, 'step':2},
    {'run':450000, 'lb':2008, 'starttstamp':1680120480, 'evts':_evts(1), 'mu':42.5, 'step':2},
    {'run':450000, 'lb':2009, 'starttstamp':1680120540, 'evts':_evts(1), 'mu':43.5, 'step':2},
    {'run':450000, 'lb':2010, 'starttstamp':1680120600, 'evts':_evts(1), 'mu':44.5, 'step':2},
    {'run':450000, 'lb':2011, 'starttstamp':1680120660, 'evts':_evts(1), 'mu':45.5, 'step':2},
    {'run':450000, 'lb':2012, 'starttstamp':1680120720, 'evts':_evts(2), 'mu':46.5, 'step':2},
    {'run':450000, 'lb':2013, 'starttstamp':1680120780, 'evts':_evts(3), 'mu':47.5, 'step':2},
    {'run':450000, 'lb':2014, 'starttstamp':1680120840, 'evts':_evts(3), 'mu':48.5, 'step':2},
    {'run':450000, 'lb':2015, 'starttstamp':1680120900, 'evts':_evts(3), 'mu':49.5, 'step':2},
    {'run':450000, 'lb':2016, 'starttstamp':1680120960, 'evts':_evts(4), 'mu':50.5, 'step':2},
    {'run':450000, 'lb':2017, 'starttstamp':1680121020, 'evts':_evts(5), 'mu':51.5, 'step':2},
    {'run':450000, 'lb':2018, 'starttstamp':1680121080, 'evts':_evts(7), 'mu':52.5, 'step':2},
    {'run':450000, 'lb':2019, 'starttstamp':1680121140, 'evts':_evts(9), 'mu':53.5, 'step':2},
    {'run':450000, 'lb':2020, 'starttstamp':1680121200, 'evts':_evts(11), 'mu':54.5, 'step':2},
    {'run':450000, 'lb':2021, 'starttstamp':1680121260, 'evts':_evts(15), 'mu':55.5, 'step':2},
    {'run':450000, 'lb':2022, 'starttstamp':1680121320, 'evts':_evts(17), 'mu':56.5, 'step':2},
    {'run':450000, 'lb':2023, 'starttstamp':1680121380, 'evts':_evts(21), 'mu':57.5, 'step':2},
    {'run':450000, 'lb':2024, 'starttstamp':1680121440, 'evts':_evts(24), 'mu':58.5, 'step':2},
    {'run':450000, 'lb':2025, 'starttstamp':1680121500, 'evts':_evts(25), 'mu':59.5, 'step':2},
    {'run':450000, 'lb':2026, 'starttstamp':1680121560, 'evts':_evts(28), 'mu':60.5, 'step':2},
    {'run':450000, 'lb':2027, 'starttstamp':1680121620, 'evts':_evts(28), 'mu':61.5, 'step':2},
    {'run':450000, 'lb':2028, 'starttstamp':1680121680, 'evts':_evts(28), 'mu':62.5, 'step':2},
    {'run':450000, 'lb':2029, 'starttstamp':1680121740, 'evts':_evts(28), 'mu':63.5, 'step':2},
    {'run':450000, 'lb':2030, 'starttstamp':1680121800, 'evts':_evts(25), 'mu':64.5, 'step':2},
    {'run':450000, 'lb':2031, 'starttstamp':1680121860, 'evts':_evts(24), 'mu':65.5, 'step':2},
    {'run':450000, 'lb':2032, 'starttstamp':1680121920, 'evts':_evts(20), 'mu':66.5, 'step':2},
    {'run':450000, 'lb':2033, 'starttstamp':1680121980, 'evts':_evts(17), 'mu':67.5, 'step':2},
    {'run':450000, 'lb':2034, 'starttstamp':1680122040, 'evts':_evts(15), 'mu':68.5, 'step':2},
    {'run':450000, 'lb':2035, 'starttstamp':1680122100, 'evts':_evts(12), 'mu':69.5, 'step':2},
    {'run':450000, 'lb':2036, 'starttstamp':1680122160, 'evts':_evts(9), 'mu':70.5, 'step':2},
    {'run':450000, 'lb':2037, 'starttstamp':1680122220, 'evts':_evts(8), 'mu':71.5, 'step':2},
    {'run':450000, 'lb':2038, 'starttstamp':1680122280, 'evts':_evts(5), 'mu':72.5, 'step':2},
    {'run':450000, 'lb':2039, 'starttstamp':1680122340, 'evts':_evts(4), 'mu':73.5, 'step':2},
    {'run':450000, 'lb':2040, 'starttstamp':1680122400, 'evts':_evts(3), 'mu':74.5, 'step':2},
    {'run':450000, 'lb':2041, 'starttstamp':1680122460, 'evts':_evts(3), 'mu':75.5, 'step':2},
    {'run':450000, 'lb':2042, 'starttstamp':1680122520, 'evts':_evts(3), 'mu':76.5, 'step':2},
    {'run':450000, 'lb':2043, 'starttstamp':1680122580, 'evts':_evts(2), 'mu':77.5, 'step':2},
    {'run':450000, 'lb':2044, 'starttstamp':1680122640, 'evts':_evts(2), 'mu':78.5, 'step':2},
    {'run':450000, 'lb':2045, 'starttstamp':1680122700, 'evts':_evts(2), 'mu':79.5, 'step':2},
    {'run':450000, 'lb':2046, 'starttstamp':1680122760, 'evts':_evts(2), 'mu':80.5, 'step':2},
    {'run':450000, 'lb':2047, 'starttstamp':1680122820, 'evts':_evts(2), 'mu':81.5, 'step':2},
    {'run':450000, 'lb':2048, 'starttstamp':1680122880, 'evts':_evts(2), 'mu':82.5, 'step':2},
    {'run':450000, 'lb':2049, 'starttstamp':1680122940, 'evts':_evts(1), 'mu':83.5, 'step':2},
    {'run':450000, 'lb':2050, 'starttstamp':1680123000, 'evts':_evts(1), 'mu':84.5, 'step':2},
    {'run':450000, 'lb':2051, 'starttstamp':1680123060, 'evts':_evts(1), 'mu':85.5, 'step':2},
    {'run':450000, 'lb':2052, 'starttstamp':1680123120, 'evts':_evts(1), 'mu':86.5, 'step':2},
    {'run':450000, 'lb':2053, 'starttstamp':1680123180, 'evts':_evts(1), 'mu':87.5, 'step':2},
    {'run':450000, 'lb':2054, 'starttstamp':1680123240, 'evts':_evts(1), 'mu':88.5, 'step':2},
    {'run':450000, 'lb':2055, 'starttstamp':1680123300, 'evts':_evts(1), 'mu':89.5, 'step':2},
    {'run':450000, 'lb':2056, 'starttstamp':1680123360, 'evts':_evts(1), 'mu':90.5, 'step':2},
    {'run':450000, 'lb':3001, 'starttstamp':1680180060, 'evts':_evts(1), 'mu':9.5, 'step':3},
    {'run':450000, 'lb':3002, 'starttstamp':1680180120, 'evts':_evts(1), 'mu':10.5, 'step':3},
    {'run':450000, 'lb':3003, 'starttstamp':1680180180, 'evts':_evts(1), 'mu':11.5, 'step':3},
    {'run':450000, 'lb':3004, 'starttstamp':1680180240, 'evts':_evts(1), 'mu':12.5, 'step':3},
    {'run':450000, 'lb':3005, 'starttstamp':1680180300, 'evts':_evts(1), 'mu':13.5, 'step':3},
    {'run':450000, 'lb':3006, 'starttstamp':1680180360, 'evts':_evts(1), 'mu':14.5, 'step':3},
    {'run':450000, 'lb':3007, 'starttstamp':1680180420, 'evts':_evts(1), 'mu':15.5, 'step':3},
    {'run':450000, 'lb':3008, 'starttstamp':1680180480, 'evts':_evts(1), 'mu':16.5, 'step':3},
    {'run':450000, 'lb':3009, 'starttstamp':1680180540, 'evts':_evts(2), 'mu':17.5, 'step':3},
    {'run':450000, 'lb':3010, 'starttstamp':1680180600, 'evts':_evts(3), 'mu':18.5, 'step':3},
    {'run':450000, 'lb':3011, 'starttstamp':1680180660, 'evts':_evts(6), 'mu':19.5, 'step':3},
    {'run':450000, 'lb':3012, 'starttstamp':1680180720, 'evts':_evts(10), 'mu':20.5, 'step':3},
    {'run':450000, 'lb':3013, 'starttstamp':1680180780, 'evts':_evts(13), 'mu':21.5, 'step':3},
    {'run':450000, 'lb':3014, 'starttstamp':1680180840, 'evts':_evts(14), 'mu':22.5, 'step':3},
    {'run':450000, 'lb':3015, 'starttstamp':1680180900, 'evts':_evts(14), 'mu':23.5, 'step':3},
    {'run':450000, 'lb':3016, 'starttstamp':1680180960, 'evts':_evts(15), 'mu':24.5, 'step':3},
    {'run':450000, 'lb':3017, 'starttstamp':1680181020, 'evts':_evts(14), 'mu':25.5, 'step':3},
    {'run':450000, 'lb':3018, 'starttstamp':1680181080, 'evts':_evts(15), 'mu':26.5, 'step':3},
    {'run':450000, 'lb':3019, 'starttstamp':1680181140, 'evts':_evts(15), 'mu':27.5, 'step':3},
    {'run':450000, 'lb':3020, 'starttstamp':1680181200, 'evts':_evts(15), 'mu':28.5, 'step':3},
    {'run':450000, 'lb':3021, 'starttstamp':1680181260, 'evts':_evts(15), 'mu':29.5, 'step':3},
    {'run':450000, 'lb':3022, 'starttstamp':1680181320, 'evts':_evts(15), 'mu':30.5, 'step':3},
    {'run':450000, 'lb':3023, 'starttstamp':1680181380, 'evts':_evts(15), 'mu':31.5, 'step':3},
    {'run':450000, 'lb':3024, 'starttstamp':1680181440, 'evts':_evts(15), 'mu':32.5, 'step':3},
    {'run':450000, 'lb':3025, 'starttstamp':1680181500, 'evts':_evts(15), 'mu':33.5, 'step':3},
    {'run':450000, 'lb':3026, 'starttstamp':1680181560, 'evts':_evts(15), 'mu':34.5, 'step':3},
    {'run':450000, 'lb':3027, 'starttstamp':1680181620, 'evts':_evts(15), 'mu':35.5, 'step':3},
    {'run':450000, 'lb':3028, 'starttstamp':1680181680, 'evts':_evts(15), 'mu':36.5, 'step':3},
    {'run':450000, 'lb':3029, 'starttstamp':1680181740, 'evts':_evts(15), 'mu':37.5, 'step':3},
    {'run':450000, 'lb':3030, 'starttstamp':1680181800, 'evts':_evts(15), 'mu':38.5, 'step':3},
    {'run':450000, 'lb':3031, 'starttstamp':1680181860, 'evts':_evts(15), 'mu':39.5, 'step':3},
    {'run':450000, 'lb':3032, 'starttstamp':1680181920, 'evts':_evts(15), 'mu':40.5, 'step':3},
    {'run':450000, 'lb':3033, 'starttstamp':1680181980, 'evts':_evts(15), 'mu':41.5, 'step':3},
    {'run':450000, 'lb':3034, 'starttstamp':1680182040, 'evts':_evts(15), 'mu':42.5, 'step':3},
    {'run':450000, 'lb':3035, 'starttstamp':1680182100, 'evts':_evts(15), 'mu':43.5, 'step':3},
    {'run':450000, 'lb':3036, 'starttstamp':1680182160, 'evts':_evts(15), 'mu':44.5, 'step':3},
    {'run':450000, 'lb':3037, 'starttstamp':1680182220, 'evts':_evts(15), 'mu':45.5, 'step':3},
    {'run':450000, 'lb':3038, 'starttstamp':1680182280, 'evts':_evts(15), 'mu':46.5, 'step':3},
    {'run':450000, 'lb':3039, 'starttstamp':1680182340, 'evts':_evts(15), 'mu':47.5, 'step':3},
    {'run':450000, 'lb':3040, 'starttstamp':1680182400, 'evts':_evts(15), 'mu':48.5, 'step':3},
    {'run':450000, 'lb':3041, 'starttstamp':1680182460, 'evts':_evts(15), 'mu':49.5, 'step':3},
    {'run':450000, 'lb':3042, 'starttstamp':1680182520, 'evts':_evts(14), 'mu':50.5, 'step':3},
    {'run':450000, 'lb':3043, 'starttstamp':1680182580, 'evts':_evts(14), 'mu':51.5, 'step':3},
    {'run':450000, 'lb':3044, 'starttstamp':1680182640, 'evts':_evts(14), 'mu':52.5, 'step':3},
    {'run':450000, 'lb':3045, 'starttstamp':1680182700, 'evts':_evts(14), 'mu':53.5, 'step':3},
    {'run':450000, 'lb':3046, 'starttstamp':1680182760, 'evts':_evts(14), 'mu':54.5, 'step':3},
    {'run':450000, 'lb':3047, 'starttstamp':1680182820, 'evts':_evts(14), 'mu':55.5, 'step':3},
    {'run':450000, 'lb':3048, 'starttstamp':1680182880, 'evts':_evts(13), 'mu':56.5, 'step':3},
    {'run':450000, 'lb':3049, 'starttstamp':1680182940, 'evts':_evts(13), 'mu':57.5, 'step':3},
    {'run':450000, 'lb':3050, 'starttstamp':1680183000, 'evts':_evts(13), 'mu':58.5, 'step':3},
    {'run':450000, 'lb':3051, 'starttstamp':1680183060, 'evts':_evts(12), 'mu':59.5, 'step':3},
    {'run':450000, 'lb':3052, 'starttstamp':1680183120, 'evts':_evts(11), 'mu':60.5, 'step':3},
    {'run':450000, 'lb':3053, 'starttstamp':1680183180, 'evts':_evts(10), 'mu':61.5, 'step':3},
    {'run':450000, 'lb':3054, 'starttstamp':1680183240, 'evts':_evts(9), 'mu':62.5, 'step':3},
    {'run':450000, 'lb':3055, 'starttstamp':1680183300, 'evts':_evts(8), 'mu':63.5, 'step':3},
    {'run':450000, 'lb':3056, 'starttstamp':1680183360, 'evts':_evts(7), 'mu':64.5, 'step':3},
    {'run':450000, 'lb':3057, 'starttstamp':1680183420, 'evts':_evts(6), 'mu':65.5, 'step':3},
    {'run':450000, 'lb':3058, 'starttstamp':1680183480, 'evts':_evts(5), 'mu':66.5, 'step':3},
    {'run':450000, 'lb':3059, 'starttstamp':1680183540, 'evts':_evts(4), 'mu':67.5, 'step':3},
    {'run':450000, 'lb':3060, 'starttstamp':1680183600, 'evts':_evts(3), 'mu':68.5, 'step':3},
    {'run':450000, 'lb':3061, 'starttstamp':1680183660, 'evts':_evts(3), 'mu':69.5, 'step':3},
    {'run':450000, 'lb':3062, 'starttstamp':1680183720, 'evts':_evts(2), 'mu':70.5, 'step':3},
    {'run':450000, 'lb':3063, 'starttstamp':1680183780, 'evts':_evts(1), 'mu':71.5, 'step':3},
    {'run':450000, 'lb':3064, 'starttstamp':1680183840, 'evts':_evts(1), 'mu':72.5, 'step':3},
    {'run':450000, 'lb':3065, 'starttstamp':1680183900, 'evts':_evts(1), 'mu':73.5, 'step':3},
    {'run':450000, 'lb':3066, 'starttstamp':1680183960, 'evts':_evts(1), 'mu':74.5, 'step':3},
    {'run':450000, 'lb':3067, 'starttstamp':1680184020, 'evts':_evts(1), 'mu':75.5, 'step':3},
    {'run':450000, 'lb':3068, 'starttstamp':1680184080, 'evts':_evts(1), 'mu':76.5, 'step':3},
    {'run':450000, 'lb':3069, 'starttstamp':1680184140, 'evts':_evts(1), 'mu':77.5, 'step':3},
    {'run':450000, 'lb':3070, 'starttstamp':1680184200, 'evts':_evts(1), 'mu':78.5, 'step':3},
    {'run':450000, 'lb':3071, 'starttstamp':1680184260, 'evts':_evts(1), 'mu':79.5, 'step':3},
    {'run':450000, 'lb':3072, 'starttstamp':1680184320, 'evts':_evts(1), 'mu':80.5, 'step':3},
    {'run':450000, 'lb':3073, 'starttstamp':1680184380, 'evts':_evts(1), 'mu':81.5, 'step':3},
    {'run':450000, 'lb':3074, 'starttstamp':1680184440, 'evts':_evts(1), 'mu':82.5, 'step':3},
    {'run':450000, 'lb':3075, 'starttstamp':1680184500, 'evts':_evts(1), 'mu':83.5, 'step':3},
    {'run':450000, 'lb':3076, 'starttstamp':1680184560, 'evts':_evts(1), 'mu':84.5, 'step':3},
    {'run':450000, 'lb':3077, 'starttstamp':1680184620, 'evts':_evts(1), 'mu':85.5, 'step':3},
    {'run':450000, 'lb':3078, 'starttstamp':1680184680, 'evts':_evts(1), 'mu':86.5, 'step':3},
    {'run':450000, 'lb':3079, 'starttstamp':1680184740, 'evts':_evts(1), 'mu':87.5, 'step':3},
    {'run':450000, 'lb':3080, 'starttstamp':1680184800, 'evts':_evts(1), 'mu':88.5, 'step':3},
]