# Copyright (C) 2002-2023 CERN for the benefit of the ATLAS collaboration

def setupProfile(flags, scaleTaskLength=1):

  def _evts(x):
    return int(scaleTaskLength * x)

  return [
    {'run':470000, 'lb':1, 'starttstamp':1704000060, 'evts':_evts(1), 'mu':7.5, 'step':0},
    {'run':470000, 'lb':2, 'starttstamp':1704000120, 'evts':_evts(1), 'mu':8.5, 'step':0},
    {'run':470000, 'lb':3, 'starttstamp':1704000180, 'evts':_evts(1), 'mu':9.5, 'step':0},
    {'run':470000, 'lb':4, 'starttstamp':1704000240, 'evts':_evts(1), 'mu':10.5, 'step':0},
    {'run':470000, 'lb':5, 'starttstamp':1704000300, 'evts':_evts(1), 'mu':11.5, 'step':0},
    {'run':470000, 'lb':6, 'starttstamp':1704000360, 'evts':_evts(1), 'mu':12.5, 'step':0},
    {'run':470000, 'lb':7, 'starttstamp':1704000420, 'evts':_evts(1), 'mu':13.5, 'step':0},
    {'run':470000, 'lb':8, 'starttstamp':1704000480, 'evts':_evts(1), 'mu':14.5, 'step':0},
    {'run':470000, 'lb':9, 'starttstamp':1704000540, 'evts':_evts(1), 'mu':15.5, 'step':0},
    {'run':470000, 'lb':10, 'starttstamp':1704000600, 'evts':_evts(1), 'mu':16.5, 'step':0},
    {'run':470000, 'lb':11, 'starttstamp':1704000660, 'evts':_evts(1), 'mu':17.5, 'step':0},
    {'run':470000, 'lb':12, 'starttstamp':1704000720, 'evts':_evts(1), 'mu':18.5, 'step':0},
    {'run':470000, 'lb':13, 'starttstamp':1704000780, 'evts':_evts(1), 'mu':19.5, 'step':0},
    {'run':470000, 'lb':14, 'starttstamp':1704000840, 'evts':_evts(1), 'mu':20.5, 'step':0},
    {'run':470000, 'lb':15, 'starttstamp':1704000900, 'evts':_evts(1), 'mu':21.5, 'step':0},
    {'run':470000, 'lb':16, 'starttstamp':1704000960, 'evts':_evts(1), 'mu':22.5, 'step':0},
    {'run':470000, 'lb':17, 'starttstamp':1704001020, 'evts':_evts(1), 'mu':23.5, 'step':0},
    {'run':470000, 'lb':18, 'starttstamp':1704001080, 'evts':_evts(1), 'mu':24.5, 'step':0},
    {'run':470000, 'lb':19, 'starttstamp':1704001140, 'evts':_evts(1), 'mu':25.5, 'step':0},
    {'run':470000, 'lb':20, 'starttstamp':1704001200, 'evts':_evts(1), 'mu':26.5, 'step':0},
    {'run':470000, 'lb':21, 'starttstamp':1704001260, 'evts':_evts(1), 'mu':27.5, 'step':0},
    {'run':470000, 'lb':22, 'starttstamp':1704001320, 'evts':_evts(1), 'mu':28.5, 'step':0},
    {'run':470000, 'lb':23, 'starttstamp':1704001380, 'evts':_evts(1), 'mu':29.5, 'step':0},
    {'run':470000, 'lb':24, 'starttstamp':1704001440, 'evts':_evts(2), 'mu':30.5, 'step':0},
    {'run':470000, 'lb':25, 'starttstamp':1704001500, 'evts':_evts(2), 'mu':31.5, 'step':0},
    {'run':470000, 'lb':26, 'starttstamp':1704001560, 'evts':_evts(2), 'mu':32.5, 'step':0},
    {'run':470000, 'lb':27, 'starttstamp':1704001620, 'evts':_evts(2), 'mu':33.5, 'step':0},
    {'run':470000, 'lb':28, 'starttstamp':1704001680, 'evts':_evts(2), 'mu':34.5, 'step':0},
    {'run':470000, 'lb':29, 'starttstamp':1704001740, 'evts':_evts(2), 'mu':35.5, 'step':0},
    {'run':470000, 'lb':30, 'starttstamp':1704001800, 'evts':_evts(3), 'mu':36.5, 'step':0},
    {'run':470000, 'lb':31, 'starttstamp':1704001860, 'evts':_evts(3), 'mu':37.5, 'step':0},
    {'run':470000, 'lb':32, 'starttstamp':1704001920, 'evts':_evts(3), 'mu':38.5, 'step':0},
    {'run':470000, 'lb':33, 'starttstamp':1704001980, 'evts':_evts(3), 'mu':39.5, 'step':0},
    {'run':470000, 'lb':34, 'starttstamp':1704002040, 'evts':_evts(3), 'mu':40.5, 'step':0},
    {'run':470000, 'lb':35, 'starttstamp':1704002100, 'evts':_evts(3), 'mu':41.5, 'step':0},
    {'run':470000, 'lb':36, 'starttstamp':1704002160, 'evts':_evts(3), 'mu':42.5, 'step':0},
    {'run':470000, 'lb':37, 'starttstamp':1704002220, 'evts':_evts(4), 'mu':43.5, 'step':0},
    {'run':470000, 'lb':38, 'starttstamp':1704002280, 'evts':_evts(4), 'mu':44.5, 'step':0},
    {'run':470000, 'lb':39, 'starttstamp':1704002340, 'evts':_evts(4), 'mu':45.5, 'step':0},
    {'run':470000, 'lb':40, 'starttstamp':1704002400, 'evts':_evts(5), 'mu':46.5, 'step':0},
    {'run':470000, 'lb':41, 'starttstamp':1704002460, 'evts':_evts(6), 'mu':47.5, 'step':0},
    {'run':470000, 'lb':42, 'starttstamp':1704002520, 'evts':_evts(7), 'mu':48.5, 'step':0},
    {'run':470000, 'lb':43, 'starttstamp':1704002580, 'evts':_evts(8), 'mu':49.5, 'step':0},
    {'run':470000, 'lb':44, 'starttstamp':1704002640, 'evts':_evts(10), 'mu':50.5, 'step':0},
    {'run':470000, 'lb':45, 'starttstamp':1704002700, 'evts':_evts(12), 'mu':51.5, 'step':0},
    {'run':470000, 'lb':46, 'starttstamp':1704002760, 'evts':_evts(13), 'mu':52.5, 'step':0},
    {'run':470000, 'lb':47, 'starttstamp':1704002820, 'evts':_evts(15), 'mu':53.5, 'step':0},
    {'run':470000, 'lb':48, 'starttstamp':1704002880, 'evts':_evts(16), 'mu':54.5, 'step':0},
    {'run':470000, 'lb':49, 'starttstamp':1704002940, 'evts':_evts(18), 'mu':55.5, 'step':0},
    {'run':470000, 'lb':50, 'starttstamp':1704003000, 'evts':_evts(18), 'mu':56.5, 'step':0},
    {'run':470000, 'lb':51, 'starttstamp':1704003060, 'evts':_evts(18), 'mu':57.5, 'step':0},
    {'run':470000, 'lb':52, 'starttstamp':1704003120, 'evts':_evts(18), 'mu':58.5, 'step':0},
    {'run':470000, 'lb':53, 'starttstamp':1704003180, 'evts':_evts(18), 'mu':59.5, 'step':0},
    {'run':470000, 'lb':54, 'starttstamp':1704003240, 'evts':_evts(18), 'mu':60.5, 'step':0},
    {'run':470000, 'lb':55, 'starttstamp':1704003300, 'evts':_evts(17), 'mu':61.5, 'step':0},
    {'run':470000, 'lb':56, 'starttstamp':1704003360, 'evts':_evts(16), 'mu':62.5, 'step':0},
    {'run':470000, 'lb':57, 'starttstamp':1704003420, 'evts':_evts(16), 'mu':63.5, 'step':0},
    {'run':470000, 'lb':58, 'starttstamp':1704003480, 'evts':_evts(15), 'mu':64.5, 'step':0},
    {'run':470000, 'lb':59, 'starttstamp':1704003540, 'evts':_evts(14), 'mu':65.5, 'step':0},
    {'run':470000, 'lb':60, 'starttstamp':1704003600, 'evts':_evts(13), 'mu':66.5, 'step':0},
    {'run':470000, 'lb':61, 'starttstamp':1704003660, 'evts':_evts(12), 'mu':67.5, 'step':0},
    {'run':470000, 'lb':62, 'starttstamp':1704003720, 'evts':_evts(10), 'mu':68.5, 'step':0},
    {'run':470000, 'lb':63, 'starttstamp':1704003780, 'evts':_evts(8), 'mu':69.5, 'step':0},
    {'run':470000, 'lb':64, 'starttstamp':1704003840, 'evts':_evts(7), 'mu':70.5, 'step':0},
    {'run':470000, 'lb':65, 'starttstamp':1704003900, 'evts':_evts(6), 'mu':71.5, 'step':0},
    {'run':470000, 'lb':66, 'starttstamp':1704003960, 'evts':_evts(5), 'mu':72.5, 'step':0},
    {'run':470000, 'lb':67, 'starttstamp':1704004020, 'evts':_evts(4), 'mu':73.5, 'step':0},
    {'run':470000, 'lb':68, 'starttstamp':1704004080, 'evts':_evts(3), 'mu':74.5, 'step':0},
    {'run':470000, 'lb':69, 'starttstamp':1704004140, 'evts':_evts(2), 'mu':75.5, 'step':0},
    {'run':470000, 'lb':70, 'starttstamp':1704004200, 'evts':_evts(2), 'mu':76.5, 'step':0},
    {'run':470000, 'lb':71, 'starttstamp':1704004260, 'evts':_evts(1), 'mu':77.5, 'step':0},
    {'run':470000, 'lb':72, 'starttstamp':1704004320, 'evts':_evts(1), 'mu':78.5, 'step':0},
    {'run':470000, 'lb':73, 'starttstamp':1704004380, 'evts':_evts(1), 'mu':79.5, 'step':0},
    {'run':470000, 'lb':74, 'starttstamp':1704004440, 'evts':_evts(1), 'mu':80.5, 'step':0},
    {'run':470000, 'lb':75, 'starttstamp':1704004500, 'evts':_evts(1), 'mu':81.5, 'step':0},
    {'run':470000, 'lb':76, 'starttstamp':1704004560, 'evts':_evts(1), 'mu':82.5, 'step':0},
    {'run':470000, 'lb':77, 'starttstamp':1704004620, 'evts':_evts(1), 'mu':83.5, 'step':0},
    {'run':470000, 'lb':78, 'starttstamp':1704004680, 'evts':_evts(1), 'mu':84.5, 'step':0},
    {'run':470000, 'lb':79, 'starttstamp':1704004740, 'evts':_evts(1), 'mu':85.5, 'step':0},
    {'run':470000, 'lb':80, 'starttstamp':1704004800, 'evts':_evts(1), 'mu':86.5, 'step':0},
    {'run':470000, 'lb':81, 'starttstamp':1704004860, 'evts':_evts(1), 'mu':87.5, 'step':0},
    {'run':470000, 'lb':82, 'starttstamp':1704004920, 'evts':_evts(1), 'mu':88.5, 'step':0},
    {'run':470000, 'lb':83, 'starttstamp':1704004980, 'evts':_evts(1), 'mu':89.5, 'step':0},
    {'run':470000, 'lb':84, 'starttstamp':1704005040, 'evts':_evts(1), 'mu':90.5, 'step':0},
    {'run':470000, 'lb':85, 'starttstamp':1704005100, 'evts':_evts(1), 'mu':91.5, 'step':0},
    {'run':470000, 'lb':86, 'starttstamp':1704005160, 'evts':_evts(1), 'mu':92.5, 'step':0},
    {'run':470000, 'lb':87, 'starttstamp':1704005220, 'evts':_evts(1), 'mu':93.5, 'step':0},
    {'run':470000, 'lb':88, 'starttstamp':1704005280, 'evts':_evts(1), 'mu':94.5, 'step':0},
    {'run':470000, 'lb':89, 'starttstamp':1704005340, 'evts':_evts(1), 'mu':95.5, 'step':0},
    {'run':470000, 'lb':90, 'starttstamp':1704005400, 'evts':_evts(1), 'mu':96.5, 'step':0},
    {'run':470000, 'lb':91, 'starttstamp':1704005460, 'evts':_evts(1), 'mu':97.5, 'step':0},
    {'run':470000, 'lb':92, 'starttstamp':1704005520, 'evts':_evts(1), 'mu':98.5, 'step':0},
    {'run':470000, 'lb':1001, 'starttstamp':1704060060, 'evts':_evts(1), 'mu':7.5, 'step':1},
    {'run':470000, 'lb':1002, 'starttstamp':1704060120, 'evts':_evts(1), 'mu':8.5, 'step':1},
    {'run':470000, 'lb':1003, 'starttstamp':1704060180, 'evts':_evts(1), 'mu':9.5, 'step':1},
    {'run':470000, 'lb':1004, 'starttstamp':1704060240, 'evts':_evts(1), 'mu':10.5, 'step':1},
    {'run':470000, 'lb':1005, 'starttstamp':1704060300, 'evts':_evts(1), 'mu':11.5, 'step':1},
    {'run':470000, 'lb':1006, 'starttstamp':1704060360, 'evts':_evts(1), 'mu':12.5, 'step':1},
    {'run':470000, 'lb':1007, 'starttstamp':1704060420, 'evts':_evts(1), 'mu':13.5, 'step':1},
    {'run':470000, 'lb':1008, 'starttstamp':1704060480, 'evts':_evts(1), 'mu':14.5, 'step':1},
    {'run':470000, 'lb':1009, 'starttstamp':1704060540, 'evts':_evts(1), 'mu':15.5, 'step':1},
    {'run':470000, 'lb':1010, 'starttstamp':1704060600, 'evts':_evts(1), 'mu':16.5, 'step':1},
    {'run':470000, 'lb':1011, 'starttstamp':1704060660, 'evts':_evts(1), 'mu':17.5, 'step':1},
    {'run':470000, 'lb':1012, 'starttstamp':1704060720, 'evts':_evts(1), 'mu':18.5, 'step':1},
    {'run':470000, 'lb':1013, 'starttstamp':1704060780, 'evts':_evts(1), 'mu':19.5, 'step':1},
    {'run':470000, 'lb':1014, 'starttstamp':1704060840, 'evts':_evts(1), 'mu':20.5, 'step':1},
    {'run':470000, 'lb':1015, 'starttstamp':1704060900, 'evts':_evts(1), 'mu':21.5, 'step':1},
    {'run':470000, 'lb':1016, 'starttstamp':1704060960, 'evts':_evts(1), 'mu':22.5, 'step':1},
    {'run':470000, 'lb':1017, 'starttstamp':1704061020, 'evts':_evts(1), 'mu':23.5, 'step':1},
    {'run':470000, 'lb':1018, 'starttstamp':1704061080, 'evts':_evts(1), 'mu':24.5, 'step':1},
    {'run':470000, 'lb':1019, 'starttstamp':1704061140, 'evts':_evts(1), 'mu':25.5, 'step':1},
    {'run':470000, 'lb':1020, 'starttstamp':1704061200, 'evts':_evts(1), 'mu':26.5, 'step':1},
    {'run':470000, 'lb':1021, 'starttstamp':1704061260, 'evts':_evts(1), 'mu':27.5, 'step':1},
    {'run':470000, 'lb':1022, 'starttstamp':1704061320, 'evts':_evts(1), 'mu':28.5, 'step':1},
    {'run':470000, 'lb':1023, 'starttstamp':1704061380, 'evts':_evts(1), 'mu':29.5, 'step':1},
    {'run':470000, 'lb':1024, 'starttstamp':1704061440, 'evts':_evts(2), 'mu':30.5, 'step':1},
    {'run':470000, 'lb':1025, 'starttstamp':1704061500, 'evts':_evts(2), 'mu':31.5, 'step':1},
    {'run':470000, 'lb':1026, 'starttstamp':1704061560, 'evts':_evts(2), 'mu':32.5, 'step':1},
    {'run':470000, 'lb':1027, 'starttstamp':1704061620, 'evts':_evts(2), 'mu':33.5, 'step':1},
    {'run':470000, 'lb':1028, 'starttstamp':1704061680, 'evts':_evts(2), 'mu':34.5, 'step':1},
    {'run':470000, 'lb':1029, 'starttstamp':1704061740, 'evts':_evts(2), 'mu':35.5, 'step':1},
    {'run':470000, 'lb':1030, 'starttstamp':1704061800, 'evts':_evts(3), 'mu':36.5, 'step':1},
    {'run':470000, 'lb':1031, 'starttstamp':1704061860, 'evts':_evts(3), 'mu':37.5, 'step':1},
    {'run':470000, 'lb':1032, 'starttstamp':1704061920, 'evts':_evts(3), 'mu':38.5, 'step':1},
    {'run':470000, 'lb':1033, 'starttstamp':1704061980, 'evts':_evts(3), 'mu':39.5, 'step':1},
    {'run':470000, 'lb':1034, 'starttstamp':1704062040, 'evts':_evts(3), 'mu':40.5, 'step':1},
    {'run':470000, 'lb':1035, 'starttstamp':1704062100, 'evts':_evts(3), 'mu':41.5, 'step':1},
    {'run':470000, 'lb':1036, 'starttstamp':1704062160, 'evts':_evts(3), 'mu':42.5, 'step':1},
    {'run':470000, 'lb':1037, 'starttstamp':1704062220, 'evts':_evts(4), 'mu':43.5, 'step':1},
    {'run':470000, 'lb':1038, 'starttstamp':1704062280, 'evts':_evts(4), 'mu':44.5, 'step':1},
    {'run':470000, 'lb':1039, 'starttstamp':1704062340, 'evts':_evts(4), 'mu':45.5, 'step':1},
    {'run':470000, 'lb':1040, 'starttstamp':1704062400, 'evts':_evts(5), 'mu':46.5, 'step':1},
    {'run':470000, 'lb':1041, 'starttstamp':1704062460, 'evts':_evts(6), 'mu':47.5, 'step':1},
    {'run':470000, 'lb':1042, 'starttstamp':1704062520, 'evts':_evts(7), 'mu':48.5, 'step':1},
    {'run':470000, 'lb':1043, 'starttstamp':1704062580, 'evts':_evts(8), 'mu':49.5, 'step':1},
    {'run':470000, 'lb':1044, 'starttstamp':1704062640, 'evts':_evts(10), 'mu':50.5, 'step':1},
    {'run':470000, 'lb':1045, 'starttstamp':1704062700, 'evts':_evts(12), 'mu':51.5, 'step':1},
    {'run':470000, 'lb':1046, 'starttstamp':1704062760, 'evts':_evts(13), 'mu':52.5, 'step':1},
    {'run':470000, 'lb':1047, 'starttstamp':1704062820, 'evts':_evts(15), 'mu':53.5, 'step':1},
    {'run':470000, 'lb':1048, 'starttstamp':1704062880, 'evts':_evts(16), 'mu':54.5, 'step':1},
    {'run':470000, 'lb':1049, 'starttstamp':1704062940, 'evts':_evts(18), 'mu':55.5, 'step':1},
    {'run':470000, 'lb':1050, 'starttstamp':1704063000, 'evts':_evts(18), 'mu':56.5, 'step':1},
    {'run':470000, 'lb':1051, 'starttstamp':1704063060, 'evts':_evts(18), 'mu':57.5, 'step':1},
    {'run':470000, 'lb':1052, 'starttstamp':1704063120, 'evts':_evts(18), 'mu':58.5, 'step':1},
    {'run':470000, 'lb':1053, 'starttstamp':1704063180, 'evts':_evts(18), 'mu':59.5, 'step':1},
    {'run':470000, 'lb':1054, 'starttstamp':1704063240, 'evts':_evts(18), 'mu':60.5, 'step':1},
    {'run':470000, 'lb':1055, 'starttstamp':1704063300, 'evts':_evts(17), 'mu':61.5, 'step':1},
    {'run':470000, 'lb':1056, 'starttstamp':1704063360, 'evts':_evts(16), 'mu':62.5, 'step':1},
    {'run':470000, 'lb':1057, 'starttstamp':1704063420, 'evts':_evts(16), 'mu':63.5, 'step':1},
    {'run':470000, 'lb':1058, 'starttstamp':1704063480, 'evts':_evts(15), 'mu':64.5, 'step':1},
    {'run':470000, 'lb':1059, 'starttstamp':1704063540, 'evts':_evts(14), 'mu':65.5, 'step':1},
    {'run':470000, 'lb':1060, 'starttstamp':1704063600, 'evts':_evts(13), 'mu':66.5, 'step':1},
    {'run':470000, 'lb':1061, 'starttstamp':1704063660, 'evts':_evts(12), 'mu':67.5, 'step':1},
    {'run':470000, 'lb':1062, 'starttstamp':1704063720, 'evts':_evts(10), 'mu':68.5, 'step':1},
    {'run':470000, 'lb':1063, 'starttstamp':1704063780, 'evts':_evts(8), 'mu':69.5, 'step':1},
    {'run':470000, 'lb':1064, 'starttstamp':1704063840, 'evts':_evts(7), 'mu':70.5, 'step':1},
    {'run':470000, 'lb':1065, 'starttstamp':1704063900, 'evts':_evts(6), 'mu':71.5, 'step':1},
    {'run':470000, 'lb':1066, 'starttstamp':1704063960, 'evts':_evts(5), 'mu':72.5, 'step':1},
    {'run':470000, 'lb':1067, 'starttstamp':1704064020, 'evts':_evts(4), 'mu':73.5, 'step':1},
    {'run':470000, 'lb':1068, 'starttstamp':1704064080, 'evts':_evts(3), 'mu':74.5, 'step':1},
    {'run':470000, 'lb':1069, 'starttstamp':1704064140, 'evts':_evts(2), 'mu':75.5, 'step':1},
    {'run':470000, 'lb':1070, 'starttstamp':1704064200, 'evts':_evts(2), 'mu':76.5, 'step':1},
    {'run':470000, 'lb':1071, 'starttstamp':1704064260, 'evts':_evts(1), 'mu':77.5, 'step':1},
    {'run':470000, 'lb':1072, 'starttstamp':1704064320, 'evts':_evts(1), 'mu':78.5, 'step':1},
    {'run':470000, 'lb':1073, 'starttstamp':1704064380, 'evts':_evts(1), 'mu':79.5, 'step':1},
    {'run':470000, 'lb':1074, 'starttstamp':1704064440, 'evts':_evts(1), 'mu':80.5, 'step':1},
    {'run':470000, 'lb':1075, 'starttstamp':1704064500, 'evts':_evts(1), 'mu':81.5, 'step':1},
    {'run':470000, 'lb':1076, 'starttstamp':1704064560, 'evts':_evts(1), 'mu':82.5, 'step':1},
    {'run':470000, 'lb':1077, 'starttstamp':1704064620, 'evts':_evts(1), 'mu':83.5, 'step':1},
    {'run':470000, 'lb':1078, 'starttstamp':1704064680, 'evts':_evts(1), 'mu':84.5, 'step':1},
    {'run':470000, 'lb':1079, 'starttstamp':1704064740, 'evts':_evts(1), 'mu':85.5, 'step':1},
    {'run':470000, 'lb':1080, 'starttstamp':1704064800, 'evts':_evts(1), 'mu':86.5, 'step':1},
    {'run':470000, 'lb':1081, 'starttstamp':1704064860, 'evts':_evts(1), 'mu':87.5, 'step':1},
    {'run':470000, 'lb':1082, 'starttstamp':1704064920, 'evts':_evts(1), 'mu':88.5, 'step':1},
    {'run':470000, 'lb':1083, 'starttstamp':1704064980, 'evts':_evts(1), 'mu':89.5, 'step':1},
    {'run':470000, 'lb':1084, 'starttstamp':1704065040, 'evts':_evts(1), 'mu':90.5, 'step':1},
    {'run':470000, 'lb':1085, 'starttstamp':1704065100, 'evts':_evts(1), 'mu':91.5, 'step':1},
    {'run':470000, 'lb':1086, 'starttstamp':1704065160, 'evts':_evts(1), 'mu':92.5, 'step':1},
    {'run':470000, 'lb':1087, 'starttstamp':1704065220, 'evts':_evts(1), 'mu':93.5, 'step':1},
    {'run':470000, 'lb':1088, 'starttstamp':1704065280, 'evts':_evts(1), 'mu':94.5, 'step':1},
    {'run':470000, 'lb':1089, 'starttstamp':1704065340, 'evts':_evts(1), 'mu':95.5, 'step':1},
    {'run':470000, 'lb':1090, 'starttstamp':1704065400, 'evts':_evts(1), 'mu':96.5, 'step':1},
    {'run':470000, 'lb':1091, 'starttstamp':1704065460, 'evts':_evts(1), 'mu':97.5, 'step':1},
    {'run':470000, 'lb':1092, 'starttstamp':1704065520, 'evts':_evts(1), 'mu':98.5, 'step':1},
    {'run':470000, 'lb':2001, 'starttstamp':1704120060, 'evts':_evts(1), 'mu':7.5, 'step':2},
    {'run':470000, 'lb':2002, 'starttstamp':1704120120, 'evts':_evts(1), 'mu':8.5, 'step':2},
    {'run':470000, 'lb':2003, 'starttstamp':1704120180, 'evts':_evts(1), 'mu':9.5, 'step':2},
    {'run':470000, 'lb':2004, 'starttstamp':1704120240, 'evts':_evts(1), 'mu':10.5, 'step':2},
    {'run':470000, 'lb':2005, 'starttstamp':1704120300, 'evts':_evts(1), 'mu':11.5, 'step':2},
    {'run':470000, 'lb':2006, 'starttstamp':1704120360, 'evts':_evts(1), 'mu':12.5, 'step':2},
    {'run':470000, 'lb':2007, 'starttstamp':1704120420, 'evts':_evts(1), 'mu':13.5, 'step':2},
    {'run':470000, 'lb':2008, 'starttstamp':1704120480, 'evts':_evts(1), 'mu':14.5, 'step':2},
    {'run':470000, 'lb':2009, 'starttstamp':1704120540, 'evts':_evts(1), 'mu':15.5, 'step':2},
    {'run':470000, 'lb':2010, 'starttstamp':1704120600, 'evts':_evts(1), 'mu':16.5, 'step':2},
    {'run':470000, 'lb':2011, 'starttstamp':1704120660, 'evts':_evts(1), 'mu':17.5, 'step':2},
    {'run':470000, 'lb':2012, 'starttstamp':1704120720, 'evts':_evts(1), 'mu':18.5, 'step':2},
    {'run':470000, 'lb':2013, 'starttstamp':1704120780, 'evts':_evts(1), 'mu':19.5, 'step':2},
    {'run':470000, 'lb':2014, 'starttstamp':1704120840, 'evts':_evts(1), 'mu':20.5, 'step':2},
    {'run':470000, 'lb':2015, 'starttstamp':1704120900, 'evts':_evts(1), 'mu':21.5, 'step':2},
    {'run':470000, 'lb':2016, 'starttstamp':1704120960, 'evts':_evts(1), 'mu':22.5, 'step':2},
    {'run':470000, 'lb':2017, 'starttstamp':1704121020, 'evts':_evts(1), 'mu':23.5, 'step':2},
    {'run':470000, 'lb':2018, 'starttstamp':1704121080, 'evts':_evts(1), 'mu':24.5, 'step':2},
    {'run':470000, 'lb':2019, 'starttstamp':1704121140, 'evts':_evts(1), 'mu':25.5, 'step':2},
    {'run':470000, 'lb':2020, 'starttstamp':1704121200, 'evts':_evts(1), 'mu':26.5, 'step':2},
    {'run':470000, 'lb':2021, 'starttstamp':1704121260, 'evts':_evts(1), 'mu':27.5, 'step':2},
    {'run':470000, 'lb':2022, 'starttstamp':1704121320, 'evts':_evts(1), 'mu':28.5, 'step':2},
    {'run':470000, 'lb':2023, 'starttstamp':1704121380, 'evts':_evts(1), 'mu':29.5, 'step':2},
    {'run':470000, 'lb':2024, 'starttstamp':1704121440, 'evts':_evts(2), 'mu':30.5, 'step':2},
    {'run':470000, 'lb':2025, 'starttstamp':1704121500, 'evts':_evts(2), 'mu':31.5, 'step':2},
    {'run':470000, 'lb':2026, 'starttstamp':1704121560, 'evts':_evts(2), 'mu':32.5, 'step':2},
    {'run':470000, 'lb':2027, 'starttstamp':1704121620, 'evts':_evts(2), 'mu':33.5, 'step':2},
    {'run':470000, 'lb':2028, 'starttstamp':1704121680, 'evts':_evts(2), 'mu':34.5, 'step':2},
    {'run':470000, 'lb':2029, 'starttstamp':1704121740, 'evts':_evts(2), 'mu':35.5, 'step':2},
    {'run':470000, 'lb':2030, 'starttstamp':1704121800, 'evts':_evts(3), 'mu':36.5, 'step':2},
    {'run':470000, 'lb':2031, 'starttstamp':1704121860, 'evts':_evts(3), 'mu':37.5, 'step':2},
    {'run':470000, 'lb':2032, 'starttstamp':1704121920, 'evts':_evts(3), 'mu':38.5, 'step':2},
    {'run':470000, 'lb':2033, 'starttstamp':1704121980, 'evts':_evts(3), 'mu':39.5, 'step':2},
    {'run':470000, 'lb':2034, 'starttstamp':1704122040, 'evts':_evts(3), 'mu':40.5, 'step':2},
    {'run':470000, 'lb':2035, 'starttstamp':1704122100, 'evts':_evts(3), 'mu':41.5, 'step':2},
    {'run':470000, 'lb':2036, 'starttstamp':1704122160, 'evts':_evts(3), 'mu':42.5, 'step':2},
    {'run':470000, 'lb':2037, 'starttstamp':1704122220, 'evts':_evts(4), 'mu':43.5, 'step':2},
    {'run':470000, 'lb':2038, 'starttstamp':1704122280, 'evts':_evts(4), 'mu':44.5, 'step':2},
    {'run':470000, 'lb':2039, 'starttstamp':1704122340, 'evts':_evts(4), 'mu':45.5, 'step':2},
    {'run':470000, 'lb':2040, 'starttstamp':1704122400, 'evts':_evts(5), 'mu':46.5, 'step':2},
    {'run':470000, 'lb':2041, 'starttstamp':1704122460, 'evts':_evts(6), 'mu':47.5, 'step':2},
    {'run':470000, 'lb':2042, 'starttstamp':1704122520, 'evts':_evts(7), 'mu':48.5, 'step':2},
    {'run':470000, 'lb':2043, 'starttstamp':1704122580, 'evts':_evts(8), 'mu':49.5, 'step':2},
    {'run':470000, 'lb':2044, 'starttstamp':1704122640, 'evts':_evts(10), 'mu':50.5, 'step':2},
    {'run':470000, 'lb':2045, 'starttstamp':1704122700, 'evts':_evts(12), 'mu':51.5, 'step':2},
    {'run':470000, 'lb':2046, 'starttstamp':1704122760, 'evts':_evts(13), 'mu':52.5, 'step':2},
    {'run':470000, 'lb':2047, 'starttstamp':1704122820, 'evts':_evts(15), 'mu':53.5, 'step':2},
    {'run':470000, 'lb':2048, 'starttstamp':1704122880, 'evts':_evts(16), 'mu':54.5, 'step':2},
    {'run':470000, 'lb':2049, 'starttstamp':1704122940, 'evts':_evts(18), 'mu':55.5, 'step':2},
    {'run':470000, 'lb':2050, 'starttstamp':1704123000, 'evts':_evts(18), 'mu':56.5, 'step':2},
    {'run':470000, 'lb':2051, 'starttstamp':1704123060, 'evts':_evts(18), 'mu':57.5, 'step':2},
    {'run':470000, 'lb':2052, 'starttstamp':1704123120, 'evts':_evts(18), 'mu':58.5, 'step':2},
    {'run':470000, 'lb':2053, 'starttstamp':1704123180, 'evts':_evts(18), 'mu':59.5, 'step':2},
    {'run':470000, 'lb':2054, 'starttstamp':1704123240, 'evts':_evts(18), 'mu':60.5, 'step':2},
    {'run':470000, 'lb':2055, 'starttstamp':1704123300, 'evts':_evts(17), 'mu':61.5, 'step':2},
    {'run':470000, 'lb':2056, 'starttstamp':1704123360, 'evts':_evts(16), 'mu':62.5, 'step':2},
    {'run':470000, 'lb':2057, 'starttstamp':1704123420, 'evts':_evts(16), 'mu':63.5, 'step':2},
    {'run':470000, 'lb':2058, 'starttstamp':1704123480, 'evts':_evts(15), 'mu':64.5, 'step':2},
    {'run':470000, 'lb':2059, 'starttstamp':1704123540, 'evts':_evts(14), 'mu':65.5, 'step':2},
    {'run':470000, 'lb':2060, 'starttstamp':1704123600, 'evts':_evts(13), 'mu':66.5, 'step':2},
    {'run':470000, 'lb':2061, 'starttstamp':1704123660, 'evts':_evts(12), 'mu':67.5, 'step':2},
    {'run':470000, 'lb':2062, 'starttstamp':1704123720, 'evts':_evts(10), 'mu':68.5, 'step':2},
    {'run':470000, 'lb':2063, 'starttstamp':1704123780, 'evts':_evts(8), 'mu':69.5, 'step':2},
    {'run':470000, 'lb':2064, 'starttstamp':1704123840, 'evts':_evts(7), 'mu':70.5, 'step':2},
    {'run':470000, 'lb':2065, 'starttstamp':1704123900, 'evts':_evts(6), 'mu':71.5, 'step':2},
    {'run':470000, 'lb':2066, 'starttstamp':1704123960, 'evts':_evts(5), 'mu':72.5, 'step':2},
    {'run':470000, 'lb':2067, 'starttstamp':1704124020, 'evts':_evts(4), 'mu':73.5, 'step':2},
    {'run':470000, 'lb':2068, 'starttstamp':1704124080, 'evts':_evts(3), 'mu':74.5, 'step':2},
    {'run':470000, 'lb':2069, 'starttstamp':1704124140, 'evts':_evts(2), 'mu':75.5, 'step':2},
    {'run':470000, 'lb':2070, 'starttstamp':1704124200, 'evts':_evts(2), 'mu':76.5, 'step':2},
    {'run':470000, 'lb':2071, 'starttstamp':1704124260, 'evts':_evts(1), 'mu':77.5, 'step':2},
    {'run':470000, 'lb':2072, 'starttstamp':1704124320, 'evts':_evts(1), 'mu':78.5, 'step':2},
    {'run':470000, 'lb':2073, 'starttstamp':1704124380, 'evts':_evts(1), 'mu':79.5, 'step':2},
    {'run':470000, 'lb':2074, 'starttstamp':1704124440, 'evts':_evts(1), 'mu':80.5, 'step':2},
    {'run':470000, 'lb':2075, 'starttstamp':1704124500, 'evts':_evts(1), 'mu':81.5, 'step':2},
    {'run':470000, 'lb':2076, 'starttstamp':1704124560, 'evts':_evts(1), 'mu':82.5, 'step':2},
    {'run':470000, 'lb':2077, 'starttstamp':1704124620, 'evts':_evts(1), 'mu':83.5, 'step':2},
    {'run':470000, 'lb':2078, 'starttstamp':1704124680, 'evts':_evts(1), 'mu':84.5, 'step':2},
    {'run':470000, 'lb':2079, 'starttstamp':1704124740, 'evts':_evts(1), 'mu':85.5, 'step':2},
    {'run':470000, 'lb':2080, 'starttstamp':1704124800, 'evts':_evts(1), 'mu':86.5, 'step':2},
    {'run':470000, 'lb':2081, 'starttstamp':1704124860, 'evts':_evts(1), 'mu':87.5, 'step':2},
    {'run':470000, 'lb':2082, 'starttstamp':1704124920, 'evts':_evts(1), 'mu':88.5, 'step':2},
    {'run':470000, 'lb':2083, 'starttstamp':1704124980, 'evts':_evts(1), 'mu':89.5, 'step':2},
    {'run':470000, 'lb':2084, 'starttstamp':1704125040, 'evts':_evts(1), 'mu':90.5, 'step':2},
    {'run':470000, 'lb':2085, 'starttstamp':1704125100, 'evts':_evts(1), 'mu':91.5, 'step':2},
    {'run':470000, 'lb':2086, 'starttstamp':1704125160, 'evts':_evts(1), 'mu':92.5, 'step':2},
    {'run':470000, 'lb':2087, 'starttstamp':1704125220, 'evts':_evts(1), 'mu':93.5, 'step':2},
    {'run':470000, 'lb':2088, 'starttstamp':1704125280, 'evts':_evts(1), 'mu':94.5, 'step':2},
    {'run':470000, 'lb':2089, 'starttstamp':1704125340, 'evts':_evts(1), 'mu':95.5, 'step':2},
    {'run':470000, 'lb':2090, 'starttstamp':1704125400, 'evts':_evts(1), 'mu':96.5, 'step':2},
    {'run':470000, 'lb':2091, 'starttstamp':1704125460, 'evts':_evts(1), 'mu':97.5, 'step':2},
    {'run':470000, 'lb':2092, 'starttstamp':1704125520, 'evts':_evts(1), 'mu':98.5, 'step':2},
    {'run':470000, 'lb':3001, 'starttstamp':1704180060, 'evts':_evts(1), 'mu':1.5, 'step':3},
    {'run':470000, 'lb':3002, 'starttstamp':1704180120, 'evts':_evts(1), 'mu':2.5, 'step':3},
    {'run':470000, 'lb':3003, 'starttstamp':1704180180, 'evts':_evts(1), 'mu':3.5, 'step':3},
    {'run':470000, 'lb':3004, 'starttstamp':1704180240, 'evts':_evts(1), 'mu':4.5, 'step':3},
    {'run':470000, 'lb':3005, 'starttstamp':1704180300, 'evts':_evts(1), 'mu':5.5, 'step':3},
    {'run':470000, 'lb':3006, 'starttstamp':1704180360, 'evts':_evts(1), 'mu':6.5, 'step':3},
    {'run':470000, 'lb':3007, 'starttstamp':1704180420, 'evts':_evts(1), 'mu':7.5, 'step':3},
    {'run':470000, 'lb':3008, 'starttstamp':1704180480, 'evts':_evts(1), 'mu':8.5, 'step':3},
    {'run':470000, 'lb':3009, 'starttstamp':1704180540, 'evts':_evts(1), 'mu':9.5, 'step':3},
    {'run':470000, 'lb':3010, 'starttstamp':1704180600, 'evts':_evts(1), 'mu':10.5, 'step':3},
    {'run':470000, 'lb':3011, 'starttstamp':1704180660, 'evts':_evts(1), 'mu':11.5, 'step':3},
    {'run':470000, 'lb':3012, 'starttstamp':1704180720, 'evts':_evts(1), 'mu':12.5, 'step':3},
    {'run':470000, 'lb':3013, 'starttstamp':1704180780, 'evts':_evts(1), 'mu':13.5, 'step':3},
    {'run':470000, 'lb':3014, 'starttstamp':1704180840, 'evts':_evts(1), 'mu':14.5, 'step':3},
    {'run':470000, 'lb':3015, 'starttstamp':1704180900, 'evts':_evts(1), 'mu':15.5, 'step':3},
    {'run':470000, 'lb':3016, 'starttstamp':1704180960, 'evts':_evts(1), 'mu':16.5, 'step':3},
    {'run':470000, 'lb':3017, 'starttstamp':1704181020, 'evts':_evts(1), 'mu':17.5, 'step':3},
    {'run':470000, 'lb':3018, 'starttstamp':1704181080, 'evts':_evts(1), 'mu':18.5, 'step':3},
    {'run':470000, 'lb':3019, 'starttstamp':1704181140, 'evts':_evts(1), 'mu':19.5, 'step':3},
    {'run':470000, 'lb':3020, 'starttstamp':1704181200, 'evts':_evts(1), 'mu':20.5, 'step':3},
    {'run':470000, 'lb':3021, 'starttstamp':1704181260, 'evts':_evts(1), 'mu':21.5, 'step':3},
    {'run':470000, 'lb':3022, 'starttstamp':1704181320, 'evts':_evts(1), 'mu':22.5, 'step':3},
    {'run':470000, 'lb':3023, 'starttstamp':1704181380, 'evts':_evts(2), 'mu':23.5, 'step':3},
    {'run':470000, 'lb':3024, 'starttstamp':1704181440, 'evts':_evts(2), 'mu':24.5, 'step':3},
    {'run':470000, 'lb':3025, 'starttstamp':1704181500, 'evts':_evts(3), 'mu':25.5, 'step':3},
    {'run':470000, 'lb':3026, 'starttstamp':1704181560, 'evts':_evts(4), 'mu':26.5, 'step':3},
    {'run':470000, 'lb':3027, 'starttstamp':1704181620, 'evts':_evts(6), 'mu':27.5, 'step':3},
    {'run':470000, 'lb':3028, 'starttstamp':1704181680, 'evts':_evts(7), 'mu':28.5, 'step':3},
    {'run':470000, 'lb':3029, 'starttstamp':1704181740, 'evts':_evts(8), 'mu':29.5, 'step':3},
    {'run':470000, 'lb':3030, 'starttstamp':1704181800, 'evts':_evts(9), 'mu':30.5, 'step':3},
    {'run':470000, 'lb':3031, 'starttstamp':1704181860, 'evts':_evts(11), 'mu':31.5, 'step':3},
    {'run':470000, 'lb':3032, 'starttstamp':1704181920, 'evts':_evts(12), 'mu':32.5, 'step':3},
    {'run':470000, 'lb':3033, 'starttstamp':1704181980, 'evts':_evts(13), 'mu':33.5, 'step':3},
    {'run':470000, 'lb':3034, 'starttstamp':1704182040, 'evts':_evts(14), 'mu':34.5, 'step':3},
    {'run':470000, 'lb':3035, 'starttstamp':1704182100, 'evts':_evts(14), 'mu':35.5, 'step':3},
    {'run':470000, 'lb':3036, 'starttstamp':1704182160, 'evts':_evts(15), 'mu':36.5, 'step':3},
    {'run':470000, 'lb':3037, 'starttstamp':1704182220, 'evts':_evts(17), 'mu':37.5, 'step':3},
    {'run':470000, 'lb':3038, 'starttstamp':1704182280, 'evts':_evts(17), 'mu':38.5, 'step':3},
    {'run':470000, 'lb':3039, 'starttstamp':1704182340, 'evts':_evts(17), 'mu':39.5, 'step':3},
    {'run':470000, 'lb':3040, 'starttstamp':1704182400, 'evts':_evts(18), 'mu':40.5, 'step':3},
    {'run':470000, 'lb':3041, 'starttstamp':1704182460, 'evts':_evts(18), 'mu':41.5, 'step':3},
    {'run':470000, 'lb':3042, 'starttstamp':1704182520, 'evts':_evts(18), 'mu':42.5, 'step':3},
    {'run':470000, 'lb':3043, 'starttstamp':1704182580, 'evts':_evts(19), 'mu':43.5, 'step':3},
    {'run':470000, 'lb':3044, 'starttstamp':1704182640, 'evts':_evts(19), 'mu':44.5, 'step':3},
    {'run':470000, 'lb':3045, 'starttstamp':1704182700, 'evts':_evts(19), 'mu':45.5, 'step':3},
    {'run':470000, 'lb':3046, 'starttstamp':1704182760, 'evts':_evts(19), 'mu':46.5, 'step':3},
    {'run':470000, 'lb':3047, 'starttstamp':1704182820, 'evts':_evts(18), 'mu':47.5, 'step':3},
    {'run':470000, 'lb':3048, 'starttstamp':1704182880, 'evts':_evts(18), 'mu':48.5, 'step':3},
    {'run':470000, 'lb':3049, 'starttstamp':1704182940, 'evts':_evts(19), 'mu':49.5, 'step':3},
    {'run':470000, 'lb':3050, 'starttstamp':1704183000, 'evts':_evts(18), 'mu':50.5, 'step':3},
    {'run':470000, 'lb':3051, 'starttstamp':1704183060, 'evts':_evts(18), 'mu':51.5, 'step':3},
    {'run':470000, 'lb':3052, 'starttstamp':1704183120, 'evts':_evts(18), 'mu':52.5, 'step':3},
    {'run':470000, 'lb':3053, 'starttstamp':1704183180, 'evts':_evts(17), 'mu':53.5, 'step':3},
    {'run':470000, 'lb':3054, 'starttstamp':1704183240, 'evts':_evts(17), 'mu':54.5, 'step':3},
    {'run':470000, 'lb':3055, 'starttstamp':1704183300, 'evts':_evts(17), 'mu':55.5, 'step':3},
    {'run':470000, 'lb':3056, 'starttstamp':1704183360, 'evts':_evts(17), 'mu':56.5, 'step':3},
    {'run':470000, 'lb':3057, 'starttstamp':1704183420, 'evts':_evts(16), 'mu':57.5, 'step':3},
    {'run':470000, 'lb':3058, 'starttstamp':1704183480, 'evts':_evts(15), 'mu':58.5, 'step':3},
    {'run':470000, 'lb':3059, 'starttstamp':1704183540, 'evts':_evts(14), 'mu':59.5, 'step':3},
    {'run':470000, 'lb':3060, 'starttstamp':1704183600, 'evts':_evts(14), 'mu':60.5, 'step':3},
    {'run':470000, 'lb':3061, 'starttstamp':1704183660, 'evts':_evts(13), 'mu':61.5, 'step':3},
    {'run':470000, 'lb':3062, 'starttstamp':1704183720, 'evts':_evts(13), 'mu':62.5, 'step':3},
    {'run':470000, 'lb':3063, 'starttstamp':1704183780, 'evts':_evts(11), 'mu':63.5, 'step':3},
    {'run':470000, 'lb':3064, 'starttstamp':1704183840, 'evts':_evts(10), 'mu':64.5, 'step':3},
    {'run':470000, 'lb':3065, 'starttstamp':1704183900, 'evts':_evts(9), 'mu':65.5, 'step':3},
    {'run':470000, 'lb':3066, 'starttstamp':1704183960, 'evts':_evts(9), 'mu':66.5, 'step':3},
    {'run':470000, 'lb':3067, 'starttstamp':1704184020, 'evts':_evts(7), 'mu':67.5, 'step':3},
    {'run':470000, 'lb':3068, 'starttstamp':1704184080, 'evts':_evts(6), 'mu':68.5, 'step':3},
    {'run':470000, 'lb':3069, 'starttstamp':1704184140, 'evts':_evts(4), 'mu':69.5, 'step':3},
    {'run':470000, 'lb':3070, 'starttstamp':1704184200, 'evts':_evts(4), 'mu':70.5, 'step':3},
    {'run':470000, 'lb':3071, 'starttstamp':1704184260, 'evts':_evts(3), 'mu':71.5, 'step':3},
    {'run':470000, 'lb':3072, 'starttstamp':1704184320, 'evts':_evts(3), 'mu':72.5, 'step':3},
    {'run':470000, 'lb':3073, 'starttstamp':1704184380, 'evts':_evts(2), 'mu':73.5, 'step':3},
    {'run':470000, 'lb':3074, 'starttstamp':1704184440, 'evts':_evts(2), 'mu':74.5, 'step':3},
    {'run':470000, 'lb':3075, 'starttstamp':1704184500, 'evts':_evts(2), 'mu':75.5, 'step':3},
    {'run':470000, 'lb':3076, 'starttstamp':1704184560, 'evts':_evts(1), 'mu':76.5, 'step':3},
    {'run':470000, 'lb':3077, 'starttstamp':1704184620, 'evts':_evts(1), 'mu':77.5, 'step':3},
    {'run':470000, 'lb':3078, 'starttstamp':1704184680, 'evts':_evts(1), 'mu':78.5, 'step':3},
    {'run':470000, 'lb':3079, 'starttstamp':1704184740, 'evts':_evts(1), 'mu':79.5, 'step':3},
    {'run':470000, 'lb':3080, 'starttstamp':1704184800, 'evts':_evts(1), 'mu':80.5, 'step':3},
    {'run':470000, 'lb':3081, 'starttstamp':1704184860, 'evts':_evts(1), 'mu':81.5, 'step':3},
    {'run':470000, 'lb':3082, 'starttstamp':1704184920, 'evts':_evts(1), 'mu':82.5, 'step':3},
    {'run':470000, 'lb':3083, 'starttstamp':1704184980, 'evts':_evts(1), 'mu':83.5, 'step':3},
    {'run':470000, 'lb':3084, 'starttstamp':1704185040, 'evts':_evts(1), 'mu':84.5, 'step':3},
    {'run':470000, 'lb':3085, 'starttstamp':1704185100, 'evts':_evts(1), 'mu':85.5, 'step':3},
    {'run':470000, 'lb':3086, 'starttstamp':1704185160, 'evts':_evts(1), 'mu':86.5, 'step':3},
    {'run':470000, 'lb':3087, 'starttstamp':1704185220, 'evts':_evts(1), 'mu':87.5, 'step':3},
    {'run':470000, 'lb':3088, 'starttstamp':1704185280, 'evts':_evts(1), 'mu':88.5, 'step':3},
    {'run':470000, 'lb':3089, 'starttstamp':1704185340, 'evts':_evts(1), 'mu':89.5, 'step':3},
    {'run':470000, 'lb':3090, 'starttstamp':1704185400, 'evts':_evts(1), 'mu':90.5, 'step':3},
    {'run':470000, 'lb':3091, 'starttstamp':1704185460, 'evts':_evts(1), 'mu':91.5, 'step':3},
    {'run':470000, 'lb':3092, 'starttstamp':1704185520, 'evts':_evts(1), 'mu':92.5, 'step':3},
    {'run':470000, 'lb':3093, 'starttstamp':1704185580, 'evts':_evts(1), 'mu':93.5, 'step':3},
    {'run':470000, 'lb':3094, 'starttstamp':1704185640, 'evts':_evts(1), 'mu':94.5, 'step':3},
    {'run':470000, 'lb':3095, 'starttstamp':1704185700, 'evts':_evts(1), 'mu':95.5, 'step':3},
    {'run':470000, 'lb':3096, 'starttstamp':1704185760, 'evts':_evts(1), 'mu':96.5, 'step':3},
    {'run':470000, 'lb':3097, 'starttstamp':1704185820, 'evts':_evts(1), 'mu':97.5, 'step':3},
    {'run':470000, 'lb':3098, 'starttstamp':1704185880, 'evts':_evts(1), 'mu':98.5, 'step':3},
]

